{VERSION 1 1 "MS-Windows" "1.0"}{GLOBALS 1 2}{FONT 0 "Arial" "Ari
al" "Helvetica-Bold" 7 12 0 "Helvetica-Bold" 12{COLOR "ff0000"}}
{FONT 1 "Times New Roman" "Times New Roman" "Times-Roman" 4 12 64
 "Times-Roman" 12{COLOR "000000"}}{FONT 2 "Courier New" "Courier \+
New" "Courier" 4 12 192 "Courier" 12{COLOR "000000"}}{SCP_R 0 0 4
{SCP_R 1 0 1304{COM_R 3 0{TEXT 1 1260 "Graphics for double and tr
iple integrals - preliminary version.  The programs were written \+
by Shannon Holland, and Matthias Kawski, kawski@math.la.asu.edu, \+
both  at Arizona State University.  The authors gratefully acknow
ledge support by the NSF through the Foundation Coalition.  (If y
ou are familiar with Maple, and have a better way to create a pac
kage or add to a package, please disregard the following statemen
ts.)  To create the asu package first load the programs (this fil
e) into Maple, and execute the programs once. The command save``.
`asu.m`; at the end of this file automatically creates the librar
y file asu.m. In later sessions the library can be loaded by exec
uting with(asu);  if the package is loaded, normally the followin
g should be echoed on the screen: [intdraw, intdraw3d].  The most
 common problem results when MAPLE can't find the file asu.m file
. To fix this, either locate this file and move it to the directo
ry maplev3\\lib, or add the pathname of the directory where the f
ile asu.m resides to libname (see help on libname for details). T
hank you for trying out our programs. Comments and suggestions fo
r improvements are welcome, see the e-mail address above, or refe
r to the WWW page http://www.eas.asu.edu/~asufc/maple/maple.html.
"}}{COM_R 6 0{TEXT 1 0 ""}}{INP_R 9 0 "> "{TEXT 0 0 ""}}{INP_R 12
 0 "> "{TEXT 0 52 "##############################################
######"}}{INP_R 15 0 "> "{TEXT 0 0 ""}}{INP_R 18 0 "> "{TEXT 0 65
 "#  MakeGrid2D:  Subroutine which creates centerpoints for colum
ns"}}{INP_R 21 0 "> "{TEXT 0 0 ""}}{INP_R 24 0 "> "{TEXT 0 24 "# \+
 called from `intdraw`"}}{INP_R 27 0 "> "{TEXT 0 0 ""}}{INP_R 30 
0 "> "{TEXT 0 52 "###############################################
#####"}}{INP_R 33 0 "> "{TEXT 0 0 ""}}{INP_R 36 0 "> "{TEXT 0 68 
"MakeGrid2D:=proc(a, a0,a1,b,b0,b1,CountA,CountB,SpaceA,SpaceB,Co
ords"}}{INP_R 39 0 "> "{TEXT 0 0 ""}}{INP_R 42 0 "> "{TEXT 0 45 "
,g,CountBArg,SpaceBArg,NASpaceing,NBSpaceing)"}}{INP_R 45 0 "> "
{TEXT 0 0 ""}}{INP_R 48 0 "> "{TEXT 0 70 "local i,k,j,aTable,bTab
le,b0Table,b1Table,bMin,bMax,CenterGrid,DeltaA,"}}{INP_R 51 0 "> \+
"{TEXT 0 0 ""}}{INP_R 54 0 "> "{TEXT 0 7 "DeltaB:"}}{INP_R 57 0 "
> "{TEXT 0 0 ""}}{INP_R 60 0 "> "{TEXT 0 72 "if evalf(a0)>evalf(a
1) then ERROR(`lower limit exceeds upper limit`) fi:"}}{INP_R 63 
0 "> "{TEXT 0 0 ""}}{INP_R 66 0 "> "{TEXT 0 73 "if evalf(a0)=eval
f(a1) then ERROR(`lower limit equal to upper limit`) fi:"}}{INP_R
 69 0 "> "{TEXT 0 0 ""}}{INP_R 72 0 "> "{TEXT 0 38 "if NASpacing \+
= true or CountA = 1 then"}}{INP_R 75 0 "> "{TEXT 0 0 ""}}{INP_R 
78 0 "> "{TEXT 0 31 "DeltaA:=evalf((a1-a0)/(CountA))"}}{INP_R 81 
0 "> "{TEXT 0 0 ""}}{INP_R 84 0 "> "{TEXT 0 4 "else"}}{INP_R 87 0
 "> "{TEXT 0 0 ""}}{INP_R 90 0 "> "{TEXT 0 38 "DeltaA:=evalf((a1-
a0)/(CountA-SpaceA))"}}{INP_R 93 0 "> "{TEXT 0 0 ""}}{INP_R 96 0 
"> "{TEXT 0 3 "fi:"}}{INP_R 99 0 "> "{TEXT 0 0 ""}}{INP_R 102 0 "
> "{TEXT 0 20 "for k to (CountA) do"}}{INP_R 105 0 "> "{TEXT 0 0 
""}}{INP_R 108 0 "> "{TEXT 0 50 "aTable[k]:=evalf(a0+(k-SpaceA/2)
*DeltaA-DeltaA/2):"}}{INP_R 111 0 "> "{TEXT 0 0 ""}}{INP_R 114 0 
"> "{TEXT 0 3 "od:"}}{INP_R 117 0 "> "{TEXT 0 0 ""}}{INP_R 120 0 
"> "{TEXT 0 54 "if type(evalf(subs(a=aTable[1],b0)),constant)<>tr
ue or"}}{INP_R 123 0 "> "{TEXT 0 0 ""}}{INP_R 126 0 "> "{TEXT 0 
53 "type(evalf(subs(a=aTable[1],b1)),constant)<>true then"}}
{INP_R 129 0 "> "{TEXT 0 0 ""}}{INP_R 132 0 "> "{TEXT 0 27 "ERROR
(`invalid boundaries`)"}}{INP_R 135 0 "> "{TEXT 0 0 ""}}{INP_R 
138 0 "> "{TEXT 0 3 "fi:"}}{INP_R 141 0 "> "{TEXT 0 0 ""}}{INP_R 
144 0 "> "{TEXT 0 20 "for k to (CountA) do"}}{INP_R 147 0 "> "
{TEXT 0 0 ""}}{INP_R 150 0 "> "{TEXT 0 40 "b0Table[k]:=evalf(subs
(a=aTable[k],b0)):"}}{INP_R 153 0 "> "{TEXT 0 0 ""}}{INP_R 156 0 
"> "{TEXT 0 40 "b1Table[k]:=evalf(subs(a=aTable[k],b1)):"}}{INP_R
 159 0 "> "{TEXT 0 0 ""}}{INP_R 162 0 "> "{TEXT 0 3 "od:"}}{INP_R
 165 0 "> "{TEXT 0 0 ""}}{INP_R 168 0 "> "{TEXT 0 74 "bMax:=max(s
eq(op(op(k,[entries(b1Table)])),k=1..nops([entries(b1Table)])),"}
}{INP_R 171 0 "> "{TEXT 0 0 ""}}{INP_R 174 0 "> "{TEXT 0 43 "eval
f(subs(a=a0,b1)),evalf(subs(a=a1,b1))):"}}{INP_R 177 0 "> "{TEXT 
0 0 ""}}{INP_R 180 0 "> "{TEXT 0 74 "bMin:=min(seq(op(op(k,[entri
es(b0Table)])),k=1..nops([entries(b0Table)])),"}}{INP_R 183 0 "> \+
"{TEXT 0 0 ""}}{INP_R 186 0 "> "{TEXT 0 43 "evalf(subs(a=a0,b0)),
evalf(subs(a=a1,b0))):"}}{INP_R 189 0 "> "{TEXT 0 0 ""}}{INP_R 
192 0 "> "{TEXT 0 62 "if bMin>bMax then ERROR(`lower limit exceed
s upper limit`) fi:"}}{INP_R 195 0 "> "{TEXT 0 0 ""}}{INP_R 198 0
 "> "{TEXT 0 36 "if NBSpacing = true or CountB=1 then"}}{INP_R 
201 0 "> "{TEXT 0 0 ""}}{INP_R 204 0 "> "{TEXT 0 35 "DeltaB:=eval
f((bMax-bMin)/(CountB))"}}{INP_R 207 0 "> "{TEXT 0 0 ""}}{INP_R 
210 0 "> "{TEXT 0 4 "else"}}{INP_R 213 0 "> "{TEXT 0 0 ""}}{INP_R
 216 0 "> "{TEXT 0 46 "DeltaB:=evalf((bMax-bMin)/(CountB-SpaceB))
 fi:"}}{INP_R 219 0 "> "{TEXT 0 0 ""}}{INP_R 222 0 "> "{TEXT 0 20
 "for j to (CountB) do"}}{INP_R 225 0 "> "{TEXT 0 0 ""}}{INP_R 
228 0 "> "{TEXT 0 51 "bTable[j]:=evalf(bMin+(j-SpaceB/2)*DeltaB-D
eltaB/2)"}}{INP_R 231 0 "> "{TEXT 0 0 ""}}{INP_R 234 0 "> "{TEXT 
0 3 "od:"}}{INP_R 237 0 "> "{TEXT 0 0 ""}}{INP_R 240 0 "> "{TEXT 
0 63 "if op(2,g) = theta or SpaceBArg = true or CountBArg = true \+
then"}}{INP_R 243 0 "> "{TEXT 0 0 ""}}{INP_R 246 0 "> "{TEXT 0 20
 "for k to (CountA) do"}}{INP_R 249 0 "> "{TEXT 0 0 ""}}{INP_R 
252 0 "> "{TEXT 0 20 "for j to (CountB) do"}}{INP_R 255 0 "> "
{TEXT 0 0 ""}}{INP_R 258 0 "> "{TEXT 0 55 "if (b0Table[k]<bTable[
j])and(bTable[j]<b1Table[k]) then"}}{INP_R 261 0 "> "{TEXT 0 0 ""
}}{INP_R 264 0 "> "{TEXT 0 36 "CenterGrid[k,j]:=aTable[k],bTable[
j]"}}{INP_R 267 0 "> "{TEXT 0 0 ""}}{INP_R 270 0 "> "{TEXT 0 2 "f
i"}}{INP_R 273 0 "> "{TEXT 0 0 ""}}{INP_R 276 0 "> "{TEXT 0 6 "od
 od:"}}{INP_R 279 0 "> "{TEXT 0 0 ""}}{INP_R 282 0 "> "{TEXT 0 4 
"else"}}{INP_R 285 0 "> "{TEXT 0 0 ""}}{INP_R 288 0 "> "{TEXT 0 
20 "for k to (CountA) do"}}{INP_R 291 0 "> "{TEXT 0 0 ""}}{INP_R 
294 0 "> "{TEXT 0 24 "CenterGrid[k]:=aTable[k]"}}{INP_R 297 0 "> \+
"{TEXT 0 0 ""}}{INP_R 300 0 "> "{TEXT 0 6 "od fi:"}}{INP_R 303 0 
"> "{TEXT 0 0 ""}}{INP_R 306 0 "> "{TEXT 0 68 "if eval(CenterGrid
)= CenterGrid then ERROR(`invalid boundaries`) fi:"}}{INP_R 309 0
 "> "{TEXT 0 0 ""}}{INP_R 312 0 "> "{TEXT 0 31 "eval(CenterGrid),
DeltaA,DeltaB:"}}{INP_R 315 0 "> "{TEXT 0 0 ""}}{INP_R 318 0 "> "
{TEXT 0 4 "end:"}}{INP_R 321 0 "> "{TEXT 0 0 ""}}{INP_R 324 0 "> \+
"{TEXT 0 52 "####################################################
"}}{INP_R 327 0 "> "{TEXT 0 0 ""}}{INP_R 330 0 "> "{TEXT 0 58 "# \+
 MakeCorners2D:  subroutine which take centerpoints and "}}{INP_R
 333 0 "> "{TEXT 0 0 ""}}{INP_R 336 0 "> "{TEXT 0 27 "#  creates \+
corners of boxes"}}{INP_R 339 0 "> "{TEXT 0 0 ""}}{INP_R 342 0 ">
 "{TEXT 0 24 "#  called from `intdraw`"}}{INP_R 345 0 "> "{TEXT 0
 0 ""}}{INP_R 348 0 "> "{TEXT 0 52 "#############################
#######################"}}{INP_R 351 0 "> "{TEXT 0 0 ""}}{INP_R 
354 0 "> "{TEXT 0 57 "MakeCorners2D:=proc(CentersTable,a,b,b0,b1,
SpaceA,SpaceB,"}}{INP_R 357 0 "> "{TEXT 0 0 ""}}{INP_R 360 0 "> "
{TEXT 0 14 "DeltaA,DeltaB,"}}{INP_R 363 0 "> "{TEXT 0 0 ""}}
{INP_R 366 0 "> "{TEXT 0 38 "xPlace,yPlace,g, CountBArg, SpaceBAr
g)"}}{INP_R 369 0 "> "{TEXT 0 0 ""}}{INP_R 372 0 "> "{TEXT 0 38 "
local f,i,ctr,u0,u1,w0,w1,CornersTemp:"}}{INP_R 375 0 "> "{TEXT 0
 0 ""}}{INP_R 378 0 "> "{TEXT 0 48 "for i from 1 to nops([entries
(CentersTable)]) do"}}{INP_R 381 0 "> "{TEXT 0 0 ""}}{INP_R 384 0
 "> "{TEXT 0 35 "ctr:=op(i,[entries(CentersTable)]):"}}{INP_R 387
 0 "> "{TEXT 0 0 ""}}{INP_R 390 0 "> "{TEXT 0 42 "u0:=evalf(op(1,
 ctr)-(1-SpaceA)*DeltaA/2):"}}{INP_R 393 0 "> "{TEXT 0 0 ""}}
{INP_R 396 0 "> "{TEXT 0 42 "u1:=evalf(op(1, ctr)+(1-SpaceA)*Delt
aA/2):"}}{INP_R 399 0 "> "{TEXT 0 0 ""}}{INP_R 402 0 "> "{TEXT 0 
66 "if op(2,g)<>theta and CountBArg <> true and SpaceBArg <> true
 then"}}{INP_R 405 0 "> "{TEXT 0 0 ""}}{INP_R 408 0 "> "{TEXT 0 
27 "w0:=subs(a=((u1+u0)/2),b0):"}}{INP_R 411 0 "> "{TEXT 0 0 ""}}
{INP_R 414 0 "> "{TEXT 0 27 "w1:=subs(a=((u1+u0)/2),b1):"}}{INP_R
 417 0 "> "{TEXT 0 0 ""}}{INP_R 420 0 "> "{TEXT 0 60 "if type(w0,
constant)<> true or type(w1,constant)<> true then"}}{INP_R 423 0 
"> "{TEXT 0 0 ""}}{INP_R 426 0 "> "{TEXT 0 36 "ERROR(`Second/thir
d boundary error`)"}}{INP_R 429 0 "> "{TEXT 0 0 ""}}{INP_R 432 0 
"> "{TEXT 0 3 "fi:"}}{INP_R 435 0 "> "{TEXT 0 0 ""}}{INP_R 438 0 
"> "{TEXT 0 4 "else"}}{INP_R 441 0 "> "{TEXT 0 0 ""}}{INP_R 444 0
 "> "{TEXT 0 40 "w0:=eval(op(2,ctr)-(1-SpaceB)*DeltaB/2):"}}
{INP_R 447 0 "> "{TEXT 0 0 ""}}{INP_R 450 0 "> "{TEXT 0 40 "w1:=e
val(op(2,ctr)+(1-SpaceB)*DeltaB/2):"}}{INP_R 453 0 "> "{TEXT 0 0 
""}}{INP_R 456 0 "> "{TEXT 0 3 "fi:"}}{INP_R 459 0 "> "{TEXT 0 0 
""}}{INP_R 462 0 "> "{TEXT 0 21 "f:=[[u0,u1],[w0,w1]]:"}}{INP_R 
465 0 "> "{TEXT 0 0 ""}}{INP_R 468 0 "> "{TEXT 0 77 "CornersTemp[
i]:=[[op(1,op(xPlace,f)),op(2,op(yPlace,f))],[op(2,op(xPlace,f)),
"}}{INP_R 471 0 "> "{TEXT 0 0 ""}}{INP_R 474 0 "> "{TEXT 0 80 "op
(2,op(yPlace,f))],[op(1,op(xPlace,f)),op(1,op(yPlace,f))],[op(2,o
p(xPlace,f)),"}}{INP_R 477 0 "> "{TEXT 0 0 ""}}{INP_R 480 0 "> "
{TEXT 0 20 "op(1,op(yPlace,f))]]"}}{INP_R 483 0 "> "{TEXT 0 0 ""}
}{INP_R 486 0 "> "{TEXT 0 3 "od:"}}{INP_R 489 0 "> "{TEXT 0 0 ""}
}{INP_R 492 0 "> "{TEXT 0 17 "eval(CornersTemp)"}}{INP_R 495 0 ">
 "{TEXT 0 0 ""}}{INP_R 498 0 "> "{TEXT 0 4 "end:"}}{INP_R 501 0 "
> "{TEXT 0 0 ""}}{INP_R 504 0 "> "{TEXT 0 52 "###################
#################################"}}{INP_R 507 0 "> "{TEXT 0 0 ""
}}{INP_R 510 0 "> "{TEXT 0 59 "#  MakePoly2D:  subroutine which t
akes corners and creates "}}{INP_R 513 0 "> "{TEXT 0 0 ""}}{INP_R
 516 0 "> "{TEXT 0 28 "#  the 6 sides of the boxes."}}{INP_R 519 
0 "> "{TEXT 0 0 ""}}{INP_R 522 0 "> "{TEXT 0 24 "#  called from `
intdraw`"}}{INP_R 525 0 "> "{TEXT 0 0 ""}}{INP_R 528 0 "> "{TEXT 
0 52 "####################################################"}}
{INP_R 531 0 "> "{TEXT 0 0 ""}}{INP_R 534 0 "> "{TEXT 0 25 "MakeP
oly2D:=proc(Corners)"}}{INP_R 537 0 "> "{TEXT 0 0 ""}}{INP_R 540 
0 "> "{TEXT 0 18 "local TempPolys,i:"}}{INP_R 543 0 "> "{TEXT 0 0
 ""}}{INP_R 546 0 "> "{TEXT 0 36 "for i to nops([entries(Corners)
]) do"}}{INP_R 549 0 "> "{TEXT 0 0 ""}}{INP_R 552 0 "> "{TEXT 0 
67 "TempPolys[i]:=[op(1, Corners[i]),op(2,Corners[i]),op(4,Corner
s[i]),"}}{INP_R 555 0 "> "{TEXT 0 0 ""}}{INP_R 558 0 "> "{TEXT 0 
18 "op(3,Corners[i])]:"}}{INP_R 561 0 "> "{TEXT 0 0 ""}}{INP_R 
564 0 "> "{TEXT 0 3 "od:"}}{INP_R 567 0 "> "{TEXT 0 0 ""}}{INP_R 
570 0 "> "{TEXT 0 15 "eval(TempPolys)"}}{INP_R 573 0 "> "{TEXT 0 
0 ""}}{INP_R 576 0 "> "{TEXT 0 4 "end:"}}{INP_R 579 0 "> "{TEXT 0
 0 ""}}{INP_R 582 0 "> "{TEXT 0 52 "#############################
#######################"}}{INP_R 585 0 "> "{TEXT 0 0 ""}}{INP_R 
588 0 "> "{TEXT 0 57 "#  ChangeCoords2D:  subroutine which change
s coordinates "}}{INP_R 591 0 "> "{TEXT 0 0 ""}}{INP_R 594 0 "> "
{TEXT 0 27 "#  from Cartesian to Coords"}}{INP_R 597 0 "> "{TEXT 
0 0 ""}}{INP_R 600 0 "> "{TEXT 0 22 "#  called by `intdraw`"}}
{INP_R 603 0 "> "{TEXT 0 0 ""}}{INP_R 606 0 "> "{TEXT 0 52 "#####
###############################################"}}{INP_R 609 0 ">
 "{TEXT 0 0 ""}}{INP_R 612 0 "> "{TEXT 0 36 "ChangeCoords2D:=proc
(Corners,Coords)"}}{INP_R 615 0 "> "{TEXT 0 0 ""}}{INP_R 618 0 ">
 "{TEXT 0 22 "local j,k,CornersTemp:"}}{INP_R 621 0 "> "{TEXT 0 0
 ""}}{INP_R 624 0 "> "{TEXT 0 26 "if Coords=cylindrical then"}}
{INP_R 627 0 "> "{TEXT 0 0 ""}}{INP_R 630 0 "> "{TEXT 0 36 "for k
 to nops([entries(Corners)]) do"}}{INP_R 633 0 "> "{TEXT 0 0 ""}}
{INP_R 636 0 "> "{TEXT 0 73 "CornersTemp[k]:=[seq([op(1,op(j,Corn
ers[k]))*cos(op(2,op(j,Corners[k]))),"}}{INP_R 639 0 "> "{TEXT 0 
0 ""}}{INP_R 642 0 "> "{TEXT 0 62 "op(1,op(j,Corners[k]))*sin(op(
2,op(j,Corners[k])))],j = 1..4)]"}}{INP_R 645 0 "> "{TEXT 0 0 ""}
}{INP_R 648 0 "> "{TEXT 0 3 "od:"}}{INP_R 651 0 "> "{TEXT 0 0 ""}
}{INP_R 654 0 "> "{TEXT 0 26 "elif Coords=Cartesian then"}}{INP_R
 657 0 "> "{TEXT 0 0 ""}}{INP_R 660 0 "> "{TEXT 0 26 "CornersTemp
:=eval(Corners)"}}{INP_R 663 0 "> "{TEXT 0 0 ""}}{INP_R 666 0 "> \+
"{TEXT 0 3 "fi:"}}{INP_R 669 0 "> "{TEXT 0 0 ""}}{INP_R 672 0 "> \+
"{TEXT 0 17 "eval(CornersTemp)"}}{INP_R 675 0 "> "{TEXT 0 0 ""}}
{INP_R 678 0 "> "{TEXT 0 4 "end:"}}{INP_R 681 0 "> "{TEXT 0 0 ""}
}{INP_R 684 0 "> "{TEXT 0 52 "###################################
#################"}}{INP_R 687 0 "> "{TEXT 0 0 ""}}{INP_R 690 0 "
> "{TEXT 0 61 "#  intdraw:  Main Program, draws boundaries of 2-D
 integrals."}}{INP_R 693 0 "> "{TEXT 0 0 ""}}{INP_R 696 0 "> "
{TEXT 0 52 "####################################################"
}}{INP_R 699 0 "> "{TEXT 0 0 ""}}{INP_R 702 0 "> "{TEXT 0 20 "asu
[intdraw]:=proc()"}}{INP_R 705 0 "> "{TEXT 0 0 ""}}{INP_R 708 0 "
> "{TEXT 0 64 "local a ,a0, a1,b ,b0,b1, CountA,CountB,SpaceA, Sp
aceB,TempArgs,"}}{INP_R 711 0 "> "{TEXT 0 0 ""}}{INP_R 714 0 "> "
{TEXT 0 57 "CentersTable,CornersTable,Coords,TempTable,PolygonsTa
ble,"}}{INP_R 717 0 "> "{TEXT 0 0 ""}}{INP_R 720 0 "> "{TEXT 0 64
 "PlotTitle,i,j,gg,DeltaA,DeltaB,xPlace,yPlace,Axes,Scaling,Style
,"}}{INP_R 723 0 "> "{TEXT 0 0 ""}}{INP_R 726 0 "> "{TEXT 0 63 "x
Tick,yTick,CountArgs,SpaceArgs,SpaceBArg, CountBArg,TitleArgs,"}}
{INP_R 729 0 "> "{TEXT 0 0 ""}}{INP_R 732 0 "> "{TEXT 0 48 "Scali
ngArgs,kk,Options,ggg,NASpacing, NBSpacing:"}}{INP_R 735 0 "> "
{TEXT 0 0 ""}}{INP_R 738 0 "> "{TEXT 0 71 "ScalingArgs:=false: Co
untArgs:=false:SpaceArgs:=false:TitleArgs:=false:"}}{INP_R 741 0 
"> "{TEXT 0 0 ""}}{INP_R 744 0 "> "{TEXT 0 57 "SpaceBArg:=false: \+
CountBArg:Options:=[]:NASpacing:=false:"}}{INP_R 747 0 "> "{TEXT 
0 0 ""}}{INP_R 750 0 "> "{TEXT 0 18 "NBSpacing :=false:"}}{INP_R 
753 0 "> "{TEXT 0 0 ""}}{INP_R 756 0 "> "{TEXT 0 23 "if nargs < 2
 then ERROR"}}{INP_R 759 0 "> "{TEXT 0 0 ""}}{INP_R 762 0 "> "
{TEXT 0 54 "(`Boundaries must be entered as first 2 arguments`)fi
:"}}{INP_R 765 0 "> "{TEXT 0 0 ""}}{INP_R 768 0 "> "{TEXT 0 56 "i
f type(args[1],`=`)=false or type(args[2],`=`)=false or"}}{INP_R 
771 0 "> "{TEXT 0 0 ""}}{INP_R 774 0 "> "{TEXT 0 69 "type(op(2,ar
gs[1]),range)=false or type(op(2,args[2]),range)=false or"}}
{INP_R 777 0 "> "{TEXT 0 0 ""}}{INP_R 780 0 "> "{TEXT 0 36 "type(
op(2,args[2]),range)=false then"}}{INP_R 783 0 "> "{TEXT 0 0 ""}}
{INP_R 786 0 "> "{TEXT 0 71 "ERROR(`Boundaries must be written as
 var=lower limit..upper limit`) fi:"}}{INP_R 789 0 "> "{TEXT 0 0 
""}}{INP_R 792 0 "> "{TEXT 0 17 "a:=op(1,args[1]):"}}{INP_R 795 0
 "> "{TEXT 0 0 ""}}{INP_R 798 0 "> "{TEXT 0 32 "a0:=evalf(op(1, o
p(2,args[1]))):"}}{INP_R 801 0 "> "{TEXT 0 0 ""}}{INP_R 804 0 "> \+
"{TEXT 0 32 "a1:=evalf(op(2, op(2,args[1]))):"}}{INP_R 807 0 "> "
{TEXT 0 0 ""}}{INP_R 810 0 "> "{TEXT 0 17 "b:=op(1,args[2]):"}}
{INP_R 813 0 "> "{TEXT 0 0 ""}}{INP_R 816 0 "> "{TEXT 0 32 "b0:=e
valf(op(1, op(2,args[2]))):"}}{INP_R 819 0 "> "{TEXT 0 0 ""}}
{INP_R 822 0 "> "{TEXT 0 32 "b1:=evalf(op(2, op(2,args[2]))):"}}
{INP_R 825 0 "> "{TEXT 0 0 ""}}{INP_R 828 0 "> "{TEXT 0 15 "if na
rgs>2 then"}}{INP_R 831 0 "> "{TEXT 0 0 ""}}{INP_R 834 0 "> "
{TEXT 0 25 "for kk from 3 to nargs do"}}{INP_R 837 0 "> "{TEXT 0 
0 ""}}{INP_R 840 0 "> "{TEXT 0 29 "if op(1,args[kk]) = grid then"
}}{INP_R 843 0 "> "{TEXT 0 0 ""}}{INP_R 846 0 "> "{TEXT 0 16 "Cou
ntArgs:=true:"}}{INP_R 849 0 "> "{TEXT 0 0 ""}}{INP_R 852 0 "> "
{TEXT 0 44 "CountA:=round(evalf(op(1, op(2,args[kk])))):"}}{INP_R
 855 0 "> "{TEXT 0 0 ""}}{INP_R 858 0 "> "{TEXT 0 49 "if nops(op(
2,args[kk]))>1 then CountBArg := true:"}}{INP_R 861 0 "> "{TEXT 0
 0 ""}}{INP_R 864 0 "> "{TEXT 0 44 "CountB:=round(evalf(op(2, op(
2,args[kk])))):"}}{INP_R 867 0 "> "{TEXT 0 0 ""}}{INP_R 870 0 "> \+
"{TEXT 0 15 "else CountB:=15"}}{INP_R 873 0 "> "{TEXT 0 0 ""}}
{INP_R 876 0 "> "{TEXT 0 3 "fi:"}}{INP_R 879 0 "> "{TEXT 0 0 ""}}
{INP_R 882 0 "> "{TEXT 0 33 "elif op(1,args[kk]) = spaces then"}}
{INP_R 885 0 "> "{TEXT 0 0 ""}}{INP_R 888 0 "> "{TEXT 0 16 "Space
Args:=true:"}}{INP_R 891 0 "> "{TEXT 0 0 ""}}{INP_R 894 0 "> "
{TEXT 0 37 "SpaceA:=evalf(op(1, op(2,args[kk]))):"}}{INP_R 897 0 
"> "{TEXT 0 0 ""}}{INP_R 900 0 "> "{TEXT 0 47 "if nops(op(2,args[
kk]))>1 then SpaceBArg:=true:"}}{INP_R 903 0 "> "{TEXT 0 0 ""}}
{INP_R 906 0 "> "{TEXT 0 37 "SpaceB:=evalf(op(2, op(2,args[kk])))
:"}}{INP_R 909 0 "> "{TEXT 0 0 ""}}{INP_R 912 0 "> "{TEXT 0 15 "e
lse SpaceB:=.3"}}{INP_R 915 0 "> "{TEXT 0 0 ""}}{INP_R 918 0 "> "
{TEXT 0 3 "fi:"}}{INP_R 921 0 "> "{TEXT 0 0 ""}}{INP_R 924 0 "> "
{TEXT 0 30 "elif op(1,args[kk])=title then"}}{INP_R 927 0 "> "
{TEXT 0 0 ""}}{INP_R 930 0 "> "{TEXT 0 16 "TitleArgs:=true:"}}
{INP_R 933 0 "> "{TEXT 0 0 ""}}{INP_R 936 0 "> "{TEXT 0 26 "PlotT
itle :=op(2,args[kk])"}}{INP_R 939 0 "> "{TEXT 0 0 ""}}{INP_R 942
 0 "> "{TEXT 0 32 "elif op(1,args[kk])=scaling then"}}{INP_R 945 
0 "> "{TEXT 0 0 ""}}{INP_R 948 0 "> "{TEXT 0 18 "ScalingArgs:=tru
e:"}}{INP_R 951 0 "> "{TEXT 0 0 ""}}{INP_R 954 0 "> "{TEXT 0 23 "
Scaling:=op(2,args[kk])"}}{INP_R 957 0 "> "{TEXT 0 0 ""}}{INP_R 
960 0 "> "{TEXT 0 36 "else Options:=[op(Options),args[kk]]"}}
{INP_R 963 0 "> "{TEXT 0 0 ""}}{INP_R 966 0 "> "{TEXT 0 9 "fi od \+
fi:"}}{INP_R 969 0 "> "{TEXT 0 0 ""}}{INP_R 972 0 "> "{TEXT 0 51 
"if TitleArgs=false then PlotTitle:=cat(a,` `,b) fi:"}}{INP_R 975
 0 "> "{TEXT 0 0 ""}}{INP_R 978 0 "> "{TEXT 0 51 "if ScalingArgs=
false then Scaling :=CONSTRAINED fi:"}}{INP_R 981 0 "> "{TEXT 0 0
 ""}}{INP_R 984 0 "> "{TEXT 0 49 "if CountArgs=false then CountA:
=15:CountB:=15 fi:"}}{INP_R 987 0 "> "{TEXT 0 0 ""}}{INP_R 990 0 
"> "{TEXT 0 48 "if SpaceArgs=false then SpaceA:=.3:SpaceB:=0 fi:"
}}{INP_R 993 0 "> "{TEXT 0 0 ""}}{INP_R 996 0 "> "{TEXT 0 53 "if \+
SpaceA<0 or SpaceA>1 or SpaceB<0 or SpaceB>1  then"}}{INP_R 999 0
 "> "{TEXT 0 0 ""}}{INP_R 1002 0 "> "{TEXT 0 65 "ERROR(`spaces ar
guments must be between or equal to 0 and 1`) fi:"}}{INP_R 1005 0
 "> "{TEXT 0 0 ""}}{INP_R 1008 0 "> "{TEXT 0 13 "ggg:=[a,b,c]:"}}
{INP_R 1011 0 "> "{TEXT 0 0 ""}}{INP_R 1014 0 "> "{TEXT 0 49 "if \+
member(x,ggg)=true and member(y,ggg)=true then"}}{INP_R 1017 0 ">
 "{TEXT 0 0 ""}}{INP_R 1020 0 "> "{TEXT 0 18 "Coords:=Cartesian:"
}}{INP_R 1023 0 "> "{TEXT 0 0 ""}}{INP_R 1026 0 "> "{TEXT 0 28 "i
f x <> 'x'or  y <>'y'  then"}}{INP_R 1029 0 "> "{TEXT 0 0 ""}}
{INP_R 1032 0 "> "{TEXT 0 48 "ERROR(`x, and y  are key variables \+
and must be`,"}}{INP_R 1035 0 "> "{TEXT 0 0 ""}}{INP_R 1038 0 "> \+
"{TEXT 0 50 "`cleared before running program, (ex x:='x')`) fi:"}
}{INP_R 1041 0 "> "{TEXT 0 0 ""}}{INP_R 1044 0 "> "{TEXT 0 45 "me
mber(x,ggg,'xPlace'):member(y,ggg,'yPlace')"}}{INP_R 1047 0 "> "
{TEXT 0 0 ""}}{INP_R 1050 0 "> "{TEXT 0 55 "elif member(r,ggg)=tr
ue and member(theta,ggg)=true then"}}{INP_R 1053 0 "> "{TEXT 0 0 
""}}{INP_R 1056 0 "> "{TEXT 0 20 "Coords:=cylindrical:"}}{INP_R 
1059 0 "> "{TEXT 0 0 ""}}{INP_R 1062 0 "> "{TEXT 0 50 "member(r,g
gg,'xPlace'):member(theta,ggg,'yPlace'):"}}{INP_R 1065 0 "> "
{TEXT 0 0 ""}}{INP_R 1068 0 "> "{TEXT 0 35 "if r <> 'r'or  theta \+
<>'theta' then"}}{INP_R 1071 0 "> "{TEXT 0 0 ""}}{INP_R 1074 0 ">
 "{TEXT 0 52 "ERROR(`r, and theta  are key variables and must be`
,"}}{INP_R 1077 0 "> "{TEXT 0 0 ""}}{INP_R 1080 0 "> "{TEXT 0 50 
"`cleared before running program, (ex r:='r')`) fi:"}}{INP_R 1083
 0 "> "{TEXT 0 0 ""}}{INP_R 1086 0 "> "{TEXT 0 68 "if yPlace = 1 \+
and evalf(a1-a0)=evalf(2*Pi) then NASpacing :=true fi:"}}{INP_R 
1089 0 "> "{TEXT 0 0 ""}}{INP_R 1092 0 "> "{TEXT 0 68 "if yPlace \+
= 2 and evalf(b1-b0)=evalf(2*Pi) then NBSpacing :=true fi:"}}
{INP_R 1095 0 "> "{TEXT 0 0 ""}}{INP_R 1098 0 "> "{TEXT 0 62 "els
e ERROR(`Cartesian coords accepts only x, and y variables`,"}}
{INP_R 1101 0 "> "{TEXT 0 0 ""}}{INP_R 1104 0 "> "{TEXT 0 51 "`po
lar coords accepts only r, and theta variables`)"}}{INP_R 1107 0 
"> "{TEXT 0 0 ""}}{INP_R 1110 0 "> "{TEXT 0 3 "fi:"}}{INP_R 1113 
0 "> "{TEXT 0 0 ""}}{INP_R 1116 0 "> "{TEXT 0 52 "TempTable:=Make
Grid2D(a,a0,a1,b,b0,b1,CountA,CountB,"}}{INP_R 1119 0 "> "{TEXT 0
 0 ""}}{INP_R 1122 0 "> "{TEXT 0 48 "SpaceA,SpaceB,Coords,ggg, Co
untBArg, SpaceBArg):"}}{INP_R 1125 0 "> "{TEXT 0 0 ""}}{INP_R 
1128 0 "> "{TEXT 0 48 "CentersTable:=TempTable[1]:DeltaA:=TempTab
le[2]:"}}{INP_R 1131 0 "> "{TEXT 0 0 ""}}{INP_R 1134 0 "> "{TEXT 
0 21 "DeltaB:=TempTable[3]:"}}{INP_R 1137 0 "> "{TEXT 0 0 ""}}
{INP_R 1140 0 "> "{TEXT 0 51 "CornersTable:=MakeCorners2D(Centers
Table,a,b,b0,b1,"}}{INP_R 1143 0 "> "{TEXT 0 0 ""}}{INP_R 1146 0 
"> "{TEXT 0 58 "SpaceA,SpaceB,DeltaA,DeltaB,xPlace,yPlace,ggg, Co
untBArg, "}}{INP_R 1149 0 "> "{TEXT 0 0 ""}}{INP_R 1152 0 "> "
{TEXT 0 11 "SpaceBArg):"}}{INP_R 1155 0 "> "{TEXT 0 0 ""}}{INP_R 
1158 0 "> "{TEXT 0 50 "CornersTable:=ChangeCoords2D(CornersTable,
Coords):"}}{INP_R 1161 0 "> "{TEXT 0 0 ""}}{INP_R 1164 0 "> "
{TEXT 0 53 "PolygonsTable:=MakePoly2D(CornersTable,CentersTable):
"}}{INP_R 1167 0 "> "{TEXT 0 0 ""}}{INP_R 1170 0 "> "{TEXT 0 47 "
with(plots):polygonplot(\{(seq(PolygonsTable[i],"}}{INP_R 1173 0 
"> "{TEXT 0 0 ""}}{INP_R 1176 0 "> "{TEXT 0 56 "i=1 .. nops([entr
ies(CentersTable)])))\},title=PlotTitle,"}}{INP_R 1179 0 "> "
{TEXT 0 0 ""}}{INP_R 1182 0 "> "{TEXT 0 31 "scaling = Scaling, op
(Options))"}}{INP_R 1185 0 "> "{TEXT 0 0 ""}}{INP_R 1188 0 "> "
{TEXT 0 4 "end:"}}{INP_R 1191 0 "> "{TEXT 0 0 ""}}{INP_R 1194 0 "
> "{TEXT 0 52 "##################################################
##"}}{INP_R 1197 0 "> "{TEXT 0 0 ""}}{INP_R 1200 0 "> "{TEXT 0 63
 "#  MakeGrid:  Subroutine which creates centerpoints for columns
"}}{INP_R 1203 0 "> "{TEXT 0 0 ""}}{INP_R 1206 0 "> "{TEXT 0 26 "
#  called from `intdraw3d`"}}{INP_R 1209 0 "> "{TEXT 0 0 ""}}
{INP_R 1212 0 "> "{TEXT 0 52 "###################################
#################"}}{INP_R 1215 0 "> "{TEXT 0 0 ""}}{INP_R 1218 0
 "> "{TEXT 0 61 "MakeGrid:=proc(a, a0,a1,b,b0,b1,c,c0,c1,CountA,C
ountB,CountC,"}}{INP_R 1221 0 "> "{TEXT 0 0 ""}}{INP_R 1224 0 "> \+
"{TEXT 0 63 "SpaceA,SpaceB,SpaceC,Coords,g, NASpacing, NBSpacing,
 NCSpacing,"}}{INP_R 1227 0 "> "{TEXT 0 0 ""}}{INP_R 1230 0 "> "
{TEXT 0 6 "CSArg)"}}{INP_R 1233 0 "> "{TEXT 0 0 ""}}{INP_R 1236 0
 "> "{TEXT 0 65 "local i,k,j,aTable,bTable,b0Table,b1Table,cTable
,c0Table,c1Table,"}}{INP_R 1239 0 "> "{TEXT 0 0 ""}}{INP_R 1242 0
 "> "{TEXT 0 52 "bMin,bMax,cMax,cMin,CenterGrid,DeltaA,DeltaB,Del
taC:"}}{INP_R 1245 0 "> "{TEXT 0 0 ""}}{INP_R 1248 0 "> "{TEXT 0 
66 "if evalf(a0)>evalf(a1) then ERROR(`lower limit exceeds upper`
) fi:"}}{INP_R 1251 0 "> "{TEXT 0 0 ""}}{INP_R 1254 0 "> "{TEXT 0
 61 "if evalf(a0)=evalf(a1) then ERROR(`lower equal to upper`) fi
:"}}{INP_R 1257 0 "> "{TEXT 0 0 ""}}{INP_R 1260 0 "> "{TEXT 0 25 
"if NASpacing = true  then"}}{INP_R 1263 0 "> "{TEXT 0 0 ""}}
{INP_R 1266 0 "> "{TEXT 0 31 "DeltaA:=evalf((a1-a0)/(CountA))"}}
{INP_R 1269 0 "> "{TEXT 0 0 ""}}{INP_R 1272 0 "> "{TEXT 0 4 "else
"}}{INP_R 1275 0 "> "{TEXT 0 0 ""}}{INP_R 1278 0 "> "{TEXT 0 38 "
DeltaA:=evalf((a1-a0)/(CountA-SpaceA))"}}{INP_R 1281 0 "> "{TEXT 
0 0 ""}}{INP_R 1284 0 "> "{TEXT 0 3 "fi:"}}{INP_R 1287 0 "> "
{TEXT 0 0 ""}}{INP_R 1290 0 "> "{TEXT 0 20 "for k to (CountA) do"
}}{INP_R 1293 0 "> "{TEXT 0 0 ""}}{INP_R 1296 0 "> "{TEXT 0 50 "a
Table[k]:=evalf(a0+(k-SpaceA/2)*DeltaA-DeltaA/2):"}}{INP_R 1299 0
 "> "{TEXT 0 0 ""}}{INP_R 1302 0 "> "{TEXT 0 3 "od:"}}{INP_R 1305
 0 "> "{TEXT 0 0 ""}}{INP_R 1308 0 "> "{TEXT 0 54 "if type(evalf(
subs(a=aTable[1],b0)),constant)<>true or"}}{INP_R 1311 0 "> "
{TEXT 0 0 ""}}{INP_R 1314 0 "> "{TEXT 0 53 "type(evalf(subs(a=aTa
ble[1],b1)),constant)<>true then"}}{INP_R 1317 0 "> "{TEXT 0 0 ""
}}{INP_R 1320 0 "> "{TEXT 0 41 "ERROR(`invalid first or second bo
undary`)"}}{INP_R 1323 0 "> "{TEXT 0 0 ""}}{INP_R 1326 0 "> "
{TEXT 0 3 "fi:"}}{INP_R 1329 0 "> "{TEXT 0 0 ""}}{INP_R 1332 0 ">
 "{TEXT 0 20 "for k to (CountA) do"}}{INP_R 1335 0 "> "{TEXT 0 0 
""}}{INP_R 1338 0 "> "{TEXT 0 40 "b0Table[k]:=evalf(subs(a=aTable
[k],b0)):"}}{INP_R 1341 0 "> "{TEXT 0 0 ""}}{INP_R 1344 0 "> "
{TEXT 0 40 "b1Table[k]:=evalf(subs(a=aTable[k],b1)):"}}{INP_R 
1347 0 "> "{TEXT 0 0 ""}}{INP_R 1350 0 "> "{TEXT 0 3 "od:"}}
{INP_R 1353 0 "> "{TEXT 0 0 ""}}{INP_R 1356 0 "> "{TEXT 0 43 "bMa
x:=max(seq(op(op(k,[entries(b1Table)])),"}}{INP_R 1359 0 "> "
{TEXT 0 0 ""}}{INP_R 1362 0 "> "{TEXT 0 74 "k=1..nops([entries(b1
Table)])),evalf(subs(a=a0,b1)),evalf(subs(a=a1,b1))):"}}{INP_R 
1365 0 "> "{TEXT 0 0 ""}}{INP_R 1368 0 "> "{TEXT 0 43 "bMin:=min(
seq(op(op(k,[entries(b0Table)])),"}}{INP_R 1371 0 "> "{TEXT 0 0 "
"}}{INP_R 1374 0 "> "{TEXT 0 74 "k=1..nops([entries(b0Table)])),e
valf(subs(a=a0,b0)),evalf(subs(a=a1,b0))):"}}{INP_R 1377 0 "> "
{TEXT 0 0 ""}}{INP_R 1380 0 "> "{TEXT 0 56 "if bMin>bMax then ERR
OR(`lower limit exceeds upper`) fi:"}}{INP_R 1383 0 "> "{TEXT 0 0
 ""}}{INP_R 1386 0 "> "{TEXT 0 25 "if NBSpacing = true  then"}}
{INP_R 1389 0 "> "{TEXT 0 0 ""}}{INP_R 1392 0 "> "{TEXT 0 35 "Del
taB:=evalf((bMax-bMin)/(CountB))"}}{INP_R 1395 0 "> "{TEXT 0 0 ""
}}{INP_R 1398 0 "> "{TEXT 0 4 "else"}}{INP_R 1401 0 "> "{TEXT 0 0
 ""}}{INP_R 1404 0 "> "{TEXT 0 42 "DeltaB:=evalf((bMax-bMin)/(Cou
ntB-SpaceB))"}}{INP_R 1407 0 "> "{TEXT 0 0 ""}}{INP_R 1410 0 "> "
{TEXT 0 3 "fi:"}}{INP_R 1413 0 "> "{TEXT 0 0 ""}}{INP_R 1416 0 ">
 "{TEXT 0 20 "for j to (CountB) do"}}{INP_R 1419 0 "> "{TEXT 0 0 
""}}{INP_R 1422 0 "> "{TEXT 0 51 "bTable[j]:=evalf(bMin+(j-SpaceB
/2)*DeltaB-DeltaB/2)"}}{INP_R 1425 0 "> "{TEXT 0 0 ""}}{INP_R 
1428 0 "> "{TEXT 0 3 "od:"}}{INP_R 1431 0 "> "{TEXT 0 0 ""}}
{INP_R 1434 0 "> "{TEXT 0 57 "if op(3,g)<>theta and op(3,g)<>phi \+
and CSArg = false then"}}{INP_R 1437 0 "> "{TEXT 0 0 ""}}{INP_R 
1440 0 "> "{TEXT 0 10 "DeltaC:=0:"}}{INP_R 1443 0 "> "{TEXT 0 0 "
"}}{INP_R 1446 0 "> "{TEXT 0 20 "for k to (CountA) do"}}{INP_R 
1449 0 "> "{TEXT 0 0 ""}}{INP_R 1452 0 "> "{TEXT 0 20 "for j to (
CountB) do"}}{INP_R 1455 0 "> "{TEXT 0 0 ""}}{INP_R 1458 0 "> "
{TEXT 0 55 "if (b0Table[k]<bTable[j])and(bTable[j]<b1Table[k]) th
en"}}{INP_R 1461 0 "> "{TEXT 0 0 ""}}{INP_R 1464 0 "> "{TEXT 0 36
 "CenterGrid[k,j]:=aTable[k],bTable[j]"}}{INP_R 1467 0 "> "{TEXT 
0 0 ""}}{INP_R 1470 0 "> "{TEXT 0 2 "fi"}}{INP_R 1473 0 "> "{TEXT
 0 0 ""}}{INP_R 1476 0 "> "{TEXT 0 6 "od od:"}}{INP_R 1479 0 "> "
{TEXT 0 0 ""}}{INP_R 1482 0 "> "{TEXT 0 4 "else"}}{INP_R 1485 0 "
> "{TEXT 0 0 ""}}{INP_R 1488 0 "> "{TEXT 0 67 "if type(evalf(subs
(a=aTable[1], b=bTable[1],c0)),constant)<>true or"}}{INP_R 1491 0
 "> "{TEXT 0 0 ""}}{INP_R 1494 0 "> "{TEXT 0 69 "type(evalf(subs(
a=aTable[1], b=bTable[1],c1)) ,constant) <> true then"}}{INP_R 
1497 0 "> "{TEXT 0 0 ""}}{INP_R 1500 0 "> "{TEXT 0 27 "ERROR(`inv
alid boundaries`)"}}{INP_R 1503 0 "> "{TEXT 0 0 ""}}{INP_R 1506 0
 "> "{TEXT 0 3 "fi:"}}{INP_R 1509 0 "> "{TEXT 0 0 ""}}{INP_R 1512
 0 "> "{TEXT 0 20 "for k to (CountA) do"}}{INP_R 1515 0 "> "{TEXT
 0 0 ""}}{INP_R 1518 0 "> "{TEXT 0 20 "for j to (CountB) do"}}
{INP_R 1521 0 "> "{TEXT 0 0 ""}}{INP_R 1524 0 "> "{TEXT 0 55 "if \+
(b0Table[k]<bTable[j])and(bTable[j]<b1Table[k]) then"}}{INP_R 
1527 0 "> "{TEXT 0 0 ""}}{INP_R 1530 0 "> "{TEXT 0 55 "c0Table[j,
k]:=evalf(subs(a=aTable[k], b=bTable[j],c0)):"}}{INP_R 1533 0 "> \+
"{TEXT 0 0 ""}}{INP_R 1536 0 "> "{TEXT 0 55 "c1Table[j,k]:=evalf(
subs(a=aTable[k], b=bTable[j],c1)):"}}{INP_R 1539 0 "> "{TEXT 0 0
 ""}}{INP_R 1542 0 "> "{TEXT 0 9 "fi od od:"}}{INP_R 1545 0 "> "
{TEXT 0 0 ""}}{INP_R 1548 0 "> "{TEXT 0 43 "cMax:=max(seq(op(op(k
,[entries(c1Table)])),"}}{INP_R 1551 0 "> "{TEXT 0 0 ""}}{INP_R 
1554 0 "> "{TEXT 0 63 "k=1..nops([entries(c1Table)])),evalf(subs(
a=a0,subs(b=b0,c1))),"}}{INP_R 1557 0 "> "{TEXT 0 0 ""}}{INP_R 
1560 0 "> "{TEXT 0 64 "evalf(subs(a=a0,subs(b=b1,c1))),evalf(subs
(a=a1,subs(b=b0,c1))),"}}{INP_R 1563 0 "> "{TEXT 0 0 ""}}{INP_R 
1566 0 "> "{TEXT 0 33 "evalf(subs(a=a1,subs(b=b1,c1)))):"}}{INP_R
 1569 0 "> "{TEXT 0 0 ""}}{INP_R 1572 0 "> "{TEXT 0 43 "cMin:=min
(seq(op(op(k,[entries(c0Table)])),"}}{INP_R 1575 0 "> "{TEXT 0 0 
""}}{INP_R 1578 0 "> "{TEXT 0 63 "k=1..nops([entries(c0Table)])),
evalf(subs(a=a0,subs(b=b0,c0))),"}}{INP_R 1581 0 "> "{TEXT 0 0 ""
}}{INP_R 1584 0 "> "{TEXT 0 64 "evalf(subs(a=a1,subs(b=b1,c0))),e
valf(subs(a=a1,subs(b=b0,c0))),"}}{INP_R 1587 0 "> "{TEXT 0 0 ""}
}{INP_R 1590 0 "> "{TEXT 0 33 "evalf(subs(a=a1,subs(b=b1,c0)))):"
}}{INP_R 1593 0 "> "{TEXT 0 0 ""}}{INP_R 1596 0 "> "{TEXT 0 56 "i
f cMin>cMax then ERROR(`lower limit exceeds upper`) fi:"}}{INP_R 
1599 0 "> "{TEXT 0 0 ""}}{INP_R 1602 0 "> "{TEXT 0 24 "if NCSpaci
ng = true then"}}{INP_R 1605 0 "> "{TEXT 0 0 ""}}{INP_R 1608 0 ">
 "{TEXT 0 28 "DeltaC:=(cMax-cMin)/(CountC)"}}{INP_R 1611 0 "> "
{TEXT 0 0 ""}}{INP_R 1614 0 "> "{TEXT 0 4 "else"}}{INP_R 1617 0 "
> "{TEXT 0 0 ""}}{INP_R 1620 0 "> "{TEXT 0 42 "DeltaC:=evalf((cMa
x-cMin)/(CountC-SpaceC))"}}{INP_R 1623 0 "> "{TEXT 0 0 ""}}{INP_R
 1626 0 "> "{TEXT 0 3 "fi:"}}{INP_R 1629 0 "> "{TEXT 0 0 ""}}
{INP_R 1632 0 "> "{TEXT 0 18 "for k to CountC do"}}{INP_R 1635 0 
"> "{TEXT 0 0 ""}}{INP_R 1638 0 "> "{TEXT 0 52 "cTable[k]:=evalf(
cMin+(k-SpaceC/2)*DeltaC-DeltaC/2):"}}{INP_R 1641 0 "> "{TEXT 0 0
 ""}}{INP_R 1644 0 "> "{TEXT 0 3 "od:"}}{INP_R 1647 0 "> "{TEXT 0
 0 ""}}{INP_R 1650 0 "> "{TEXT 0 20 "for i to (CountA) do"}}
{INP_R 1653 0 "> "{TEXT 0 0 ""}}{INP_R 1656 0 "> "{TEXT 0 20 "for
 j to (CountB) do"}}{INP_R 1659 0 "> "{TEXT 0 0 ""}}{INP_R 1662 0
 "> "{TEXT 0 20 "for k to (CountC) do"}}{INP_R 1665 0 "> "{TEXT 0
 0 ""}}{INP_R 1668 0 "> "{TEXT 0 55 "if (b0Table[i]<bTable[j]) an
d(bTable[j]<b1Table[i]) and"}}{INP_R 1671 0 "> "{TEXT 0 0 ""}}
{INP_R 1674 0 "> "{TEXT 0 55 "(evalf(subs(a=aTable[i],b=bTable[j]
,c0))<cTable[k]) and"}}{INP_R 1677 0 "> "{TEXT 0 0 ""}}{INP_R 
1680 0 "> "{TEXT 0 56 "(cTable[k]<evalf(subs(a=aTable[i],b=bTable
[j],c1))) then"}}{INP_R 1683 0 "> "{TEXT 0 0 ""}}{INP_R 1686 0 ">
 "{TEXT 0 48 "CenterGrid[i,j,k]:=aTable[i],bTable[j],cTable[k]"}}
{INP_R 1689 0 "> "{TEXT 0 0 ""}}{INP_R 1692 0 "> "{TEXT 0 2 "fi"}
}{INP_R 1695 0 "> "{TEXT 0 0 ""}}{INP_R 1698 0 "> "{TEXT 0 12 "od
 od od fi:"}}{INP_R 1701 0 "> "{TEXT 0 0 ""}}{INP_R 1704 0 "> "
{TEXT 0 68 "if eval(CenterGrid)= CenterGrid then ERROR(`invalid b
oundaries`) fi:"}}{INP_R 1707 0 "> "{TEXT 0 0 ""}}{INP_R 1710 0 "
> "{TEXT 0 38 "eval(CenterGrid),DeltaA,DeltaB,DeltaC:"}}{INP_R 
1713 0 "> "{TEXT 0 0 ""}}{INP_R 1716 0 "> "{TEXT 0 4 "end:"}}
{INP_R 1719 0 "> "{TEXT 0 0 ""}}{INP_R 1722 0 "> "{TEXT 0 52 "###
#################################################"}}{INP_R 1725 0
 "> "{TEXT 0 0 ""}}{INP_R 1728 0 "> "{TEXT 0 56 "#  MakeCorners: \+
 subroutine which take centerpoints and "}}{INP_R 1731 0 "> "
{TEXT 0 0 ""}}{INP_R 1734 0 "> "{TEXT 0 36 "#  creates the corner
s of  the boxes"}}{INP_R 1737 0 "> "{TEXT 0 0 ""}}{INP_R 1740 0 "
> "{TEXT 0 26 "#  called from `intdraw3d`"}}{INP_R 1743 0 "> "
{TEXT 0 0 ""}}{INP_R 1746 0 "> "{TEXT 0 52 "#####################
###############################"}}{INP_R 1749 0 "> "{TEXT 0 0 ""}
}{INP_R 1752 0 "> "{TEXT 0 57 "MakeCorners:=proc(CentersTable,a,b
,c,c0,c1,SpaceA,SpaceB,"}}{INP_R 1755 0 "> "{TEXT 0 0 ""}}{INP_R 
1758 0 "> "{TEXT 0 57 "SpaceC,DeltaA,DeltaB,DeltaC,xPlace,yPlace,
zPlace,g,CSArg)"}}{INP_R 1761 0 "> "{TEXT 0 0 ""}}{INP_R 1764 0 "
> "{TEXT 0 44 "local f,i,ctr,u0,u1,v0,v1,w0,w1,CornersTemp:"}}
{INP_R 1767 0 "> "{TEXT 0 0 ""}}{INP_R 1770 0 "> "{TEXT 0 48 "for
 i from 1 to nops([entries(CentersTable)]) do"}}{INP_R 1773 0 "> \+
"{TEXT 0 0 ""}}{INP_R 1776 0 "> "{TEXT 0 35 "ctr:=op(i,[entries(C
entersTable)]):"}}{INP_R 1779 0 "> "{TEXT 0 0 ""}}{INP_R 1782 0 "
> "{TEXT 0 42 "u0:=evalf(op(1, ctr)-(1-SpaceA)*DeltaA/2):"}}
{INP_R 1785 0 "> "{TEXT 0 0 ""}}{INP_R 1788 0 "> "{TEXT 0 42 "u1:
=evalf(op(1, ctr)+(1-SpaceA)*DeltaA/2):"}}{INP_R 1791 0 "> "{TEXT
 0 0 ""}}{INP_R 1794 0 "> "{TEXT 0 42 "v0:=evalf(op(2, ctr)-(1-Sp
aceB)*DeltaB/2):"}}{INP_R 1797 0 "> "{TEXT 0 0 ""}}{INP_R 1800 0 
"> "{TEXT 0 42 "v1:=evalf(op(2, ctr)+(1-SpaceB)*DeltaB/2):"}}
{INP_R 1803 0 "> "{TEXT 0 0 ""}}{INP_R 1806 0 "> "{TEXT 0 58 "if \+
op(3,g)<>theta and op(3,g)<>phi  and CSArg = false then"}}{INP_R 
1809 0 "> "{TEXT 0 0 ""}}{INP_R 1812 0 "> "{TEXT 0 41 "w0:=subs(a
=((u1+u0)/2),b=((v1+v0)/2),c0):"}}{INP_R 1815 0 "> "{TEXT 0 0 ""}
}{INP_R 1818 0 "> "{TEXT 0 41 "w1:=subs(a=((u1+u0)/2),b=((v1+v0)/
2),c1):"}}{INP_R 1821 0 "> "{TEXT 0 0 ""}}{INP_R 1824 0 "> "{TEXT
 0 60 "if type(w0,constant)<> true or type(w1,constant)<> true th
en"}}{INP_R 1827 0 "> "{TEXT 0 0 ""}}{INP_R 1830 0 "> "{TEXT 0 35
 "ERROR(`Second/third boundry error`)"}}{INP_R 1833 0 "> "{TEXT 0
 0 ""}}{INP_R 1836 0 "> "{TEXT 0 3 "fi:"}}{INP_R 1839 0 "> "{TEXT
 0 0 ""}}{INP_R 1842 0 "> "{TEXT 0 4 "else"}}{INP_R 1845 0 "> "
{TEXT 0 0 ""}}{INP_R 1848 0 "> "{TEXT 0 40 "w0:=eval(op(3,ctr)-(1
-SpaceC)*DeltaC/2):"}}{INP_R 1851 0 "> "{TEXT 0 0 ""}}{INP_R 1854
 0 "> "{TEXT 0 40 "w1:=eval(op(3,ctr)+(1-SpaceC)*DeltaC/2):"}}
{INP_R 1857 0 "> "{TEXT 0 0 ""}}{INP_R 1860 0 "> "{TEXT 0 3 "fi:"
}}{INP_R 1863 0 "> "{TEXT 0 0 ""}}{INP_R 1866 0 "> "{TEXT 0 29 "f
:=[[u0,u1],[v0,v1],[w0,w1]]:"}}{INP_R 1869 0 "> "{TEXT 0 0 ""}}
{INP_R 1872 0 "> "{TEXT 0 56 "CornersTemp[i]:=[[op(1,op(xPlace,f)
),op(1,op(yPlace,f)),"}}{INP_R 1875 0 "> "{TEXT 0 0 ""}}{INP_R 
1878 0 "> "{TEXT 0 59 "op(1,op(zPlace,f))],[op(1,op(xPlace,f)),op
(1,op(yPlace,f)),"}}{INP_R 1881 0 "> "{TEXT 0 0 ""}}{INP_R 1884 0
 "> "{TEXT 0 59 "op(2,op(zPlace,f))],[op(1,op(xPlace,f)),op(2,op(
yPlace,f)),"}}{INP_R 1887 0 "> "{TEXT 0 0 ""}}{INP_R 1890 0 "> "
{TEXT 0 59 "op(1,op(zPlace,f))],[op(1,op(xPlace,f)),op(2,op(yPlac
e,f)),"}}{INP_R 1893 0 "> "{TEXT 0 0 ""}}{INP_R 1896 0 "> "{TEXT 
0 59 "op(2,op(zPlace,f))],[op(2,op(xPlace,f)),op(1,op(yPlace,f)),
"}}{INP_R 1899 0 "> "{TEXT 0 0 ""}}{INP_R 1902 0 "> "{TEXT 0 59 "
op(1,op(zPlace,f))],[op(2,op(xPlace,f)),op(1,op(yPlace,f)),"}}
{INP_R 1905 0 "> "{TEXT 0 0 ""}}{INP_R 1908 0 "> "{TEXT 0 59 "op(
2,op(zPlace,f))],[op(2,op(xPlace,f)),op(2,op(yPlace,f)),"}}{INP_R
 1911 0 "> "{TEXT 0 0 ""}}{INP_R 1914 0 "> "{TEXT 0 59 "op(1,op(z
Place,f))],[op(2,op(xPlace,f)),op(2,op(yPlace,f)),"}}{INP_R 1917 
0 "> "{TEXT 0 0 ""}}{INP_R 1920 0 "> "{TEXT 0 20 "op(2,op(zPlace,
f))]]"}}{INP_R 1923 0 "> "{TEXT 0 0 ""}}{INP_R 1926 0 "> "{TEXT 0
 3 "od:"}}{INP_R 1929 0 "> "{TEXT 0 0 ""}}{INP_R 1932 0 "> "{TEXT
 0 17 "eval(CornersTemp)"}}{INP_R 1935 0 "> "{TEXT 0 0 ""}}{INP_R
 1938 0 "> "{TEXT 0 4 "end:"}}{INP_R 1941 0 "> "{TEXT 0 0 ""}}
{INP_R 1944 0 "> "{TEXT 0 52 "###################################
#################"}}{INP_R 1947 0 "> "{TEXT 0 0 ""}}{INP_R 1950 0
 "> "{TEXT 0 61 "#  MakePoly:  subroutine which takes corners and
 creates the "}}{INP_R 1953 0 "> "{TEXT 0 0 ""}}{INP_R 1956 0 "> \+
"{TEXT 0 25 "#  6 sides of the boxes ."}}{INP_R 1959 0 "> "{TEXT 
0 0 ""}}{INP_R 1962 0 "> "{TEXT 0 26 "#  called from `intdraw3d`"
}}{INP_R 1965 0 "> "{TEXT 0 0 ""}}{INP_R 1968 0 "> "{TEXT 0 52 "#
###################################################"}}{INP_R 1971
 0 "> "{TEXT 0 0 ""}}{INP_R 1974 0 "> "{TEXT 0 23 "MakePoly:=proc
(Corners)"}}{INP_R 1977 0 "> "{TEXT 0 0 ""}}{INP_R 1980 0 "> "
{TEXT 0 18 "local TempPolys,i:"}}{INP_R 1983 0 "> "{TEXT 0 0 ""}}
{INP_R 1986 0 "> "{TEXT 0 36 "for i to nops([entries(Corners)]) d
o"}}{INP_R 1989 0 "> "{TEXT 0 0 ""}}{INP_R 1992 0 "> "{TEXT 0 69 
"TempPolys[i,1]:=[op(1, Corners[i]),op(2,Corners[i]),op(4,Corners
[i]),"}}{INP_R 1995 0 "> "{TEXT 0 0 ""}}{INP_R 1998 0 "> "{TEXT 0
 18 "op(3,Corners[i])]:"}}{INP_R 2001 0 "> "{TEXT 0 0 ""}}{INP_R 
2004 0 "> "{TEXT 0 69 "TempPolys[i,2]:=[op(5, Corners[i]),op(6,Co
rners[i]),op(8,Corners[i]),"}}{INP_R 2007 0 "> "{TEXT 0 0 ""}}
{INP_R 2010 0 "> "{TEXT 0 18 "op(7,Corners[i])]:"}}{INP_R 2013 0 
"> "{TEXT 0 0 ""}}{INP_R 2016 0 "> "{TEXT 0 69 "TempPolys[i,3]:=[
op(2, Corners[i]),op(4,Corners[i]),op(8,Corners[i]),"}}{INP_R 
2019 0 "> "{TEXT 0 0 ""}}{INP_R 2022 0 "> "{TEXT 0 18 "op(6,Corne
rs[i])]:"}}{INP_R 2025 0 "> "{TEXT 0 0 ""}}{INP_R 2028 0 "> "
{TEXT 0 69 "TempPolys[i,4]:=[op(4, Corners[i]),op(3,Corners[i]),o
p(7,Corners[i]),"}}{INP_R 2031 0 "> "{TEXT 0 0 ""}}{INP_R 2034 0 
"> "{TEXT 0 18 "op(8,Corners[i])]:"}}{INP_R 2037 0 "> "{TEXT 0 0 
""}}{INP_R 2040 0 "> "{TEXT 0 69 "TempPolys[i,5]:=[op(3, Corners[
i]),op(1,Corners[i]),op(5,Corners[i]),"}}{INP_R 2043 0 "> "{TEXT 
0 0 ""}}{INP_R 2046 0 "> "{TEXT 0 18 "op(7,Corners[i])]:"}}{INP_R
 2049 0 "> "{TEXT 0 0 ""}}{INP_R 2052 0 "> "{TEXT 0 69 "TempPolys
[i,6]:=[op(1, Corners[i]),op(2,Corners[i]),op(6,Corners[i]),"}}
{INP_R 2055 0 "> "{TEXT 0 0 ""}}{INP_R 2058 0 "> "{TEXT 0 18 "op(
5,Corners[i])]:"}}{INP_R 2061 0 "> "{TEXT 0 0 ""}}{INP_R 2064 0 "
> "{TEXT 0 3 "od:"}}{INP_R 2067 0 "> "{TEXT 0 0 ""}}{INP_R 2070 0
 "> "{TEXT 0 15 "eval(TempPolys)"}}{INP_R 2073 0 "> "{TEXT 0 0 ""
}}{INP_R 2076 0 "> "{TEXT 0 4 "end:"}}{INP_R 2079 0 "> "{TEXT 0 0
 ""}}{INP_R 2082 0 "> "{TEXT 0 52 "##############################
######################"}}{INP_R 2085 0 "> "{TEXT 0 0 ""}}{INP_R 
2088 0 "> "{TEXT 0 54 "#  ChangeCoords:  subroutine which changes
 coordinates"}}{INP_R 2091 0 "> "{TEXT 0 0 ""}}{INP_R 2094 0 "> "
{TEXT 0 27 "#  from Cartesian to Coords"}}{INP_R 2097 0 "> "{TEXT
 0 0 ""}}{INP_R 2100 0 "> "{TEXT 0 24 "#  called by `intdraw3d`"}
}{INP_R 2103 0 "> "{TEXT 0 0 ""}}{INP_R 2106 0 "> "{TEXT 0 52 "##
##################################################"}}{INP_R 2109 
0 "> "{TEXT 0 0 ""}}{INP_R 2112 0 "> "{TEXT 0 34 "ChangeCoords:=p
roc(Corners,Coords)"}}{INP_R 2115 0 "> "{TEXT 0 0 ""}}{INP_R 2118
 0 "> "{TEXT 0 22 "local j,k,CornersTemp:"}}{INP_R 2121 0 "> "
{TEXT 0 0 ""}}{INP_R 2124 0 "> "{TEXT 0 26 "if Coords=cylindrical
 then"}}{INP_R 2127 0 "> "{TEXT 0 0 ""}}{INP_R 2130 0 "> "{TEXT 0
 36 "for k to nops([entries(Corners)]) do"}}{INP_R 2133 0 "> "
{TEXT 0 0 ""}}{INP_R 2136 0 "> "{TEXT 0 73 "CornersTemp[k]:=[seq(
[op(1,op(j,Corners[k]))*cos(op(2,op(j,Corners[k]))),"}}{INP_R 
2139 0 "> "{TEXT 0 0 ""}}{INP_R 2142 0 "> "{TEXT 0 51 "op(1,op(j,
Corners[k]))*sin(op(2,op(j,Corners[k]))),"}}{INP_R 2145 0 "> "
{TEXT 0 0 ""}}{INP_R 2148 0 "> "{TEXT 0 34 "op(3,op(j,Corners[k])
)],j = 1..8)]"}}{INP_R 2151 0 "> "{TEXT 0 0 ""}}{INP_R 2154 0 "> \+
"{TEXT 0 3 "od:"}}{INP_R 2157 0 "> "{TEXT 0 0 ""}}{INP_R 2160 0 "
> "{TEXT 0 26 "elif Coords=spherical then"}}{INP_R 2163 0 "> "
{TEXT 0 0 ""}}{INP_R 2166 0 "> "{TEXT 0 36 "for k to nops([entrie
s(Corners)]) do"}}{INP_R 2169 0 "> "{TEXT 0 0 ""}}{INP_R 2172 0 "
> "{TEXT 0 45 "CornersTemp[k]:=[seq([op(1,op(j,Corners[k]))*"}}
{INP_R 2175 0 "> "{TEXT 0 0 ""}}{INP_R 2178 0 "> "{TEXT 0 56 "sin
(op(2,op(j,Corners[k])))*cos(op(3,op(j,Corners[k]))),"}}{INP_R 
2181 0 "> "{TEXT 0 0 ""}}{INP_R 2184 0 "> "{TEXT 0 79 "op(1,op(j,
Corners[k]))*sin(op(2,op(j,Corners[k])))*sin(op(3,op(j,Corners[k]
))),"}}{INP_R 2187 0 "> "{TEXT 0 0 ""}}{INP_R 2190 0 "> "{TEXT 0 
62 "op(1,op(j,Corners[k]))*cos(op(2,op(j,Corners[k])))],j = 1..8)
]"}}{INP_R 2193 0 "> "{TEXT 0 0 ""}}{INP_R 2196 0 "> "{TEXT 0 3 "
od:"}}{INP_R 2199 0 "> "{TEXT 0 0 ""}}{INP_R 2202 0 "> "{TEXT 0 
26 "elif Coords=Cartesian then"}}{INP_R 2205 0 "> "{TEXT 0 0 ""}}
{INP_R 2208 0 "> "{TEXT 0 26 "CornersTemp:=eval(Corners)"}}{INP_R
 2211 0 "> "{TEXT 0 0 ""}}{INP_R 2214 0 "> "{TEXT 0 3 "fi:"}}
{INP_R 2217 0 "> "{TEXT 0 0 ""}}{INP_R 2220 0 "> "{TEXT 0 17 "eva
l(CornersTemp)"}}{INP_R 2223 0 "> "{TEXT 0 0 ""}}{INP_R 2226 0 ">
 "{TEXT 0 4 "end:"}}{INP_R 2229 0 "> "{TEXT 0 0 ""}}{INP_R 2232 0
 "> "{TEXT 0 52 "################################################
####"}}{INP_R 2235 0 "> "{TEXT 0 0 ""}}{INP_R 2238 0 "> "{TEXT 0 
58 "#  intdraw3d:  Main Program, draws region of 3-D integral."}}
{INP_R 2241 0 "> "{TEXT 0 0 ""}}{INP_R 2244 0 "> "{TEXT 0 52 "###
#################################################"}}{INP_R 2247 0
 "> "{TEXT 0 0 ""}}{INP_R 2250 0 "> "{TEXT 0 22 "asu[intdraw3d]:=
proc()"}}{INP_R 2253 0 "> "{TEXT 0 0 ""}}{INP_R 2256 0 "> "{TEXT 
0 66 "local a ,a0, a1,b ,b0,b1, c, c0, c1, CountA,CountB,CountC, \+
SpaceA,"}}{INP_R 2259 0 "> "{TEXT 0 0 ""}}{INP_R 2262 0 "> "{TEXT
 0 57 "SpaceB,SpaceC,TempArgs, CentersTable,CornersTable,Coords,"
}}{INP_R 2265 0 "> "{TEXT 0 0 ""}}{INP_R 2268 0 "> "{TEXT 0 62 "T
empTable,PolygonsTable,PlotTitle,i,j,gg,DeltaA,DeltaB,DeltaC,"}}
{INP_R 2271 0 "> "{TEXT 0 0 ""}}{INP_R 2274 0 "> "{TEXT 0 53 "xPl
ace,yPlace,zPlace,Scaling,Style,xTick,yTick,zTick,"}}{INP_R 2277 
0 "> "{TEXT 0 0 ""}}{INP_R 2280 0 "> "{TEXT 0 57 "CountArgs,Space
Args,TitleArgs,ScalingArgs,kk,Options,ggg,"}}{INP_R 2283 0 "> "
{TEXT 0 0 ""}}{INP_R 2286 0 "> "{TEXT 0 59 "NASpacing, NBSpacing,
 NCSpacing, CSArg, Labels, LabelsArgs,"}}{INP_R 2289 0 "> "{TEXT 
0 0 ""}}{INP_R 2292 0 "> "{TEXT 0 32 "Axes,AxesArgs,aTemp,bTemp,c
Temp:"}}{INP_R 2295 0 "> "{TEXT 0 0 ""}}{INP_R 2298 0 "> "{TEXT 0
 54 "ScalingArgs:=false: CountArgs:=false:SpaceArgs:=false:"}}
{INP_R 2301 0 "> "{TEXT 0 0 ""}}{INP_R 2304 0 "> "{TEXT 0 64 "Axe
sArgs:=false: TitleArgs:=false:Options:=[]:NASpacing :=false:"}}
{INP_R 2307 0 "> "{TEXT 0 0 ""}}{INP_R 2310 0 "> "{TEXT 0 53 "NBS
pacing :=false:NCSpacing := false: CSArg := false:"}}{INP_R 2313 
0 "> "{TEXT 0 0 ""}}{INP_R 2316 0 "> "{TEXT 0 19 "LabelsArgs:= fa
lse:"}}{INP_R 2319 0 "> "{TEXT 0 0 ""}}{INP_R 2322 0 "> "{TEXT 0 
18 "if nargs < 3 then "}}{INP_R 2325 0 "> "{TEXT 0 0 ""}}{INP_R 
2328 0 "> "{TEXT 0 56 "ERROR(`Boundaries must be entered as first
 3 arguments`)"}}{INP_R 2331 0 "> "{TEXT 0 0 ""}}{INP_R 2334 0 ">
 "{TEXT 0 3 "fi:"}}{INP_R 2337 0 "> "{TEXT 0 0 ""}}{INP_R 2340 0 
"> "{TEXT 0 56 "if type(args[1],`=`)=false or type(args[2],`=`)=f
alse or"}}{INP_R 2343 0 "> "{TEXT 0 0 ""}}{INP_R 2346 0 "> "{TEXT
 0 61 "type(args[3],`=`)=false or type(op(2,args[1]),range)=false
 or"}}{INP_R 2349 0 "> "{TEXT 0 0 ""}}{INP_R 2352 0 "> "{TEXT 0 
36 "type(op(2,args[2]),range)=false or  "}}{INP_R 2355 0 "> "
{TEXT 0 0 ""}}{INP_R 2358 0 "> "{TEXT 0 36 "type(op(2,args[2]),ra
nge)=false then"}}{INP_R 2361 0 "> "{TEXT 0 0 ""}}{INP_R 2364 0 "
> "{TEXT 0 52 "ERROR(`Boundaries must be written as var=range`) f
i:"}}{INP_R 2367 0 "> "{TEXT 0 0 ""}}{INP_R 2370 0 "> "{TEXT 0 17
 "a:=op(1,args[1]):"}}{INP_R 2373 0 "> "{TEXT 0 0 ""}}{INP_R 2376
 0 "> "{TEXT 0 32 "a0:=evalf(op(1, op(2,args[1]))):"}}{INP_R 2379
 0 "> "{TEXT 0 0 ""}}{INP_R 2382 0 "> "{TEXT 0 32 "a1:=evalf(op(2
, op(2,args[1]))):"}}{INP_R 2385 0 "> "{TEXT 0 0 ""}}{INP_R 2388 
0 "> "{TEXT 0 17 "b:=op(1,args[2]):"}}{INP_R 2391 0 "> "{TEXT 0 0
 ""}}{INP_R 2394 0 "> "{TEXT 0 32 "b0:=evalf(op(1, op(2,args[2]))
):"}}{INP_R 2397 0 "> "{TEXT 0 0 ""}}{INP_R 2400 0 "> "{TEXT 0 32
 "b1:=evalf(op(2, op(2,args[2]))):"}}{INP_R 2403 0 "> "{TEXT 0 0 
""}}{INP_R 2406 0 "> "{TEXT 0 17 "c:=op(1,args[3]):"}}{INP_R 2409
 0 "> "{TEXT 0 0 ""}}{INP_R 2412 0 "> "{TEXT 0 32 "c0:=evalf(op(1
, op(2,args[3]))):"}}{INP_R 2415 0 "> "{TEXT 0 0 ""}}{INP_R 2418 
0 "> "{TEXT 0 32 "c1:=evalf(op(2, op(2,args[3]))):"}}{INP_R 2421 
0 "> "{TEXT 0 0 ""}}{INP_R 2424 0 "> "{TEXT 0 15 "if nargs>3 then
"}}{INP_R 2427 0 "> "{TEXT 0 0 ""}}{INP_R 2430 0 "> "{TEXT 0 25 "
for kk from 4 to nargs do"}}{INP_R 2433 0 "> "{TEXT 0 0 ""}}
{INP_R 2436 0 "> "{TEXT 0 29 "if op(1,args[kk]) = grid then"}}
{INP_R 2439 0 "> "{TEXT 0 0 ""}}{INP_R 2442 0 "> "{TEXT 0 16 "Cou
ntArgs:=true:"}}{INP_R 2445 0 "> "{TEXT 0 0 ""}}{INP_R 2448 0 "> \+
"{TEXT 0 37 "CountA:=evalf(op(1, op(2,args[kk]))):"}}{INP_R 2451 
0 "> "{TEXT 0 0 ""}}{INP_R 2454 0 "> "{TEXT 0 30 "if nops(op(2,ar
gs[kk]))>1 then"}}{INP_R 2457 0 "> "{TEXT 0 0 ""}}{INP_R 2460 0 "
> "{TEXT 0 37 "CountB:=evalf(op(2, op(2,args[kk]))):"}}{INP_R 
2463 0 "> "{TEXT 0 0 ""}}{INP_R 2466 0 "> "{TEXT 0 15 "else Count
B:=5:"}}{INP_R 2469 0 "> "{TEXT 0 0 ""}}{INP_R 2472 0 "> "{TEXT 0
 3 "fi:"}}{INP_R 2475 0 "> "{TEXT 0 0 ""}}{INP_R 2478 0 "> "{TEXT
 0 30 "if nops(op(2,args[kk]))>2 then"}}{INP_R 2481 0 "> "{TEXT 0
 0 ""}}{INP_R 2484 0 "> "{TEXT 0 50 "CountC:=evalf(op(3,op(2,args
[kk]))): CSArg := true"}}{INP_R 2487 0 "> "{TEXT 0 0 ""}}{INP_R 
2490 0 "> "{TEXT 0 15 "else CountC:=5:"}}{INP_R 2493 0 "> "{TEXT 
0 0 ""}}{INP_R 2496 0 "> "{TEXT 0 3 "fi:"}}{INP_R 2499 0 "> "
{TEXT 0 0 ""}}{INP_R 2502 0 "> "{TEXT 0 33 "elif op(1,args[kk]) =
 spaces then"}}{INP_R 2505 0 "> "{TEXT 0 0 ""}}{INP_R 2508 0 "> "
{TEXT 0 16 "SpaceArgs:=true:"}}{INP_R 2511 0 "> "{TEXT 0 0 ""}}
{INP_R 2514 0 "> "{TEXT 0 36 "if op(1,op(2,args[kk]))= slices the
n"}}{INP_R 2517 0 "> "{TEXT 0 0 ""}}{INP_R 2520 0 "> "{TEXT 0 34 
"SpaceA:=.8: SpaceB:=.1: SpaceC:=0:"}}{INP_R 2523 0 "> "{TEXT 0 0
 ""}}{INP_R 2526 0 "> "{TEXT 0 4 "else"}}{INP_R 2529 0 "> "{TEXT 
0 0 ""}}{INP_R 2532 0 "> "{TEXT 0 37 "SpaceA:=evalf(op(1, op(2,ar
gs[kk]))):"}}{INP_R 2535 0 "> "{TEXT 0 0 ""}}{INP_R 2538 0 "> "
{TEXT 0 30 "if nops(op(2,args[kk]))>1 then"}}{INP_R 2541 0 "> "
{TEXT 0 0 ""}}{INP_R 2544 0 "> "{TEXT 0 37 "SpaceB:=evalf(op(2, o
p(2,args[kk]))):"}}{INP_R 2547 0 "> "{TEXT 0 0 ""}}{INP_R 2550 0 
"> "{TEXT 0 15 "else SpaceB:=.3"}}{INP_R 2553 0 "> "{TEXT 0 0 ""}
}{INP_R 2556 0 "> "{TEXT 0 3 "fi:"}}{INP_R 2559 0 "> "{TEXT 0 0 "
"}}{INP_R 2562 0 "> "{TEXT 0 30 "if nops(op(2,args[kk]))>2 then"}
}{INP_R 2565 0 "> "{TEXT 0 0 ""}}{INP_R 2568 0 "> "{TEXT 0 48 "Sp
aceC:=evalf(op(3,op(2,args[kk]))): CSArg:=true"}}{INP_R 2571 0 ">
 "{TEXT 0 0 ""}}{INP_R 2574 0 "> "{TEXT 0 21 "else SpaceC:=0 fi:f
i:"}}{INP_R 2577 0 "> "{TEXT 0 0 ""}}{INP_R 2580 0 "> "{TEXT 0 30
 "elif op(1,args[kk])=title then"}}{INP_R 2583 0 "> "{TEXT 0 0 ""
}}{INP_R 2586 0 "> "{TEXT 0 16 "TitleArgs:=true:"}}{INP_R 2589 0 
"> "{TEXT 0 0 ""}}{INP_R 2592 0 "> "{TEXT 0 26 "PlotTitle :=op(2,
args[kk])"}}{INP_R 2595 0 "> "{TEXT 0 0 ""}}{INP_R 2598 0 "> "
{TEXT 0 32 "elif op(1,args[kk])=scaling then"}}{INP_R 2601 0 "> "
{TEXT 0 0 ""}}{INP_R 2604 0 "> "{TEXT 0 18 "ScalingArgs:=true:"}}
{INP_R 2607 0 "> "{TEXT 0 0 ""}}{INP_R 2610 0 "> "{TEXT 0 23 "Sca
ling:=op(2,args[kk])"}}{INP_R 2613 0 "> "{TEXT 0 0 ""}}{INP_R 
2616 0 "> "{TEXT 0 30 "elif op(1,args[kk])= axes then"}}{INP_R 
2619 0 "> "{TEXT 0 0 ""}}{INP_R 2622 0 "> "{TEXT 0 15 "AxesArgs:=
true:"}}{INP_R 2625 0 "> "{TEXT 0 0 ""}}{INP_R 2628 0 "> "{TEXT 0
 22 "Axes := op(2,args[kk])"}}{INP_R 2631 0 "> "{TEXT 0 0 ""}}
{INP_R 2634 0 "> "{TEXT 0 32 "elif op(1,args[kk])= labels then"}}
{INP_R 2637 0 "> "{TEXT 0 0 ""}}{INP_R 2640 0 "> "{TEXT 0 19 "Lab
elsArgs := true:"}}{INP_R 2643 0 "> "{TEXT 0 0 ""}}{INP_R 2646 0 
"> "{TEXT 0 23 "Labels :=op(2,args[kk])"}}{INP_R 2649 0 "> "{TEXT
 0 0 ""}}{INP_R 2652 0 "> "{TEXT 0 36 "else Options:=[op(Options)
,args[kk]]"}}{INP_R 2655 0 "> "{TEXT 0 0 ""}}{INP_R 2658 0 "> "
{TEXT 0 9 "fi od fi:"}}{INP_R 2661 0 "> "{TEXT 0 0 ""}}{INP_R 
2664 0 "> "{TEXT 0 50 "if LabelsArgs=false then Labels:=[`x`,`y`,
`z`] fi:"}}{INP_R 2667 0 "> "{TEXT 0 0 ""}}{INP_R 2670 0 "> "
{TEXT 0 38 "if AxesArgs=false then Axes:=FRAME fi:"}}{INP_R 2673 
0 "> "{TEXT 0 0 ""}}{INP_R 2676 0 "> "{TEXT 0 57 "if TitleArgs=fa
lse then PlotTitle:=cat(a,` `,b,` `,c) fi:"}}{INP_R 2679 0 "> "
{TEXT 0 0 ""}}{INP_R 2682 0 "> "{TEXT 0 51 "if ScalingArgs=false \+
then Scaling :=CONSTRAINED fi:"}}{INP_R 2685 0 "> "{TEXT 0 0 ""}}
{INP_R 2688 0 "> "{TEXT 0 57 "if CountArgs=false then CountA:=5:C
ountB:=5:CountC:=5 fi:"}}{INP_R 2691 0 "> "{TEXT 0 0 ""}}{INP_R 
2694 0 "> "{TEXT 0 59 "if SpaceArgs=false then SpaceA:=.3:SpaceB:
=.3:SpaceC:=0 fi:"}}{INP_R 2697 0 "> "{TEXT 0 0 ""}}{INP_R 2700 0
 "> "{TEXT 0 59 "if SpaceA<0 or SpaceA>1 or SpaceB<0 or SpaceB>1 \+
or SpaceC<0"}}{INP_R 2703 0 "> "{TEXT 0 0 ""}}{INP_R 2706 0 "> "
{TEXT 0 16 "or SpaceC>1 then"}}{INP_R 2709 0 "> "{TEXT 0 0 ""}}
{INP_R 2712 0 "> "{TEXT 0 53 "ERROR(`spaces arguments must range \+
from 0 and 1`) fi:"}}{INP_R 2715 0 "> "{TEXT 0 0 ""}}{INP_R 2718 
0 "> "{TEXT 0 43 "if CountA<=0 or CountB<=0 or CountC<=0 then"}}
{INP_R 2721 0 "> "{TEXT 0 0 ""}}{INP_R 2724 0 "> "{TEXT 0 68 "ERR
OR(`grid arguments must be integers that are greater than 0`) fi:
"}}{INP_R 2727 0 "> "{TEXT 0 0 ""}}{INP_R 2730 0 "> "{TEXT 0 13 "
ggg:=[a,b,c]:"}}{INP_R 2733 0 "> "{TEXT 0 0 ""}}{INP_R 2736 0 "> \+
"{TEXT 0 48 "if member(x,ggg)=true and member(y,ggg)=true and"}}
{INP_R 2739 0 "> "{TEXT 0 0 ""}}{INP_R 2742 0 "> "{TEXT 0 23 "mem
ber(z,ggg)=true then"}}{INP_R 2745 0 "> "{TEXT 0 0 ""}}{INP_R 
2748 0 "> "{TEXT 0 18 "Coords:=Cartesian:"}}{INP_R 2751 0 "> "
{TEXT 0 0 ""}}{INP_R 2754 0 "> "{TEXT 0 39 "if x <> 'x'or  y <>'y
' or z <> 'z' then"}}{INP_R 2757 0 "> "{TEXT 0 0 ""}}{INP_R 2760 
0 "> "{TEXT 0 51 "ERROR(`x, y, and z  are key variables and must \+
be`,"}}{INP_R 2763 0 "> "{TEXT 0 0 ""}}{INP_R 2766 0 "> "{TEXT 0 
50 "`cleared before running program, (ex x:='x')`) fi:"}}{INP_R 
2769 0 "> "{TEXT 0 0 ""}}{INP_R 2772 0 "> "{TEXT 0 46 "member(x,g
gg,'xPlace'):member(y,ggg,'yPlace'):"}}{INP_R 2775 0 "> "{TEXT 0 
0 ""}}{INP_R 2778 0 "> "{TEXT 0 23 "member(z,ggg,'zPlace'):"}}
{INP_R 2781 0 "> "{TEXT 0 0 ""}}{INP_R 2784 0 "> "{TEXT 0 54 "eli
f member(r,ggg)=true and member(theta,ggg)=true and"}}{INP_R 2787
 0 "> "{TEXT 0 0 ""}}{INP_R 2790 0 "> "{TEXT 0 24 "member(z,ggg)=
 true then"}}{INP_R 2793 0 "> "{TEXT 0 0 ""}}{INP_R 2796 0 "> "
{TEXT 0 20 "Coords:=cylindrical:"}}{INP_R 2799 0 "> "{TEXT 0 0 ""
}}{INP_R 2802 0 "> "{TEXT 0 47 "if theta <> 'theta' or z <> 'z' o
r r<>'r'  then"}}{INP_R 2805 0 "> "{TEXT 0 0 ""}}{INP_R 2808 0 ">
 "{TEXT 0 54 "ERROR(`z, theta, and r are key variables and must b
e`,"}}{INP_R 2811 0 "> "{TEXT 0 0 ""}}{INP_R 2814 0 "> "{TEXT 0 
50 "`cleared before running program, (ex r:='r')`) fi:"}}{INP_R 
2817 0 "> "{TEXT 0 0 ""}}{INP_R 2820 0 "> "{TEXT 0 50 "member(r,g
gg,'xPlace'):member(theta,ggg,'yPlace'):"}}{INP_R 2823 0 "> "
{TEXT 0 0 ""}}{INP_R 2826 0 "> "{TEXT 0 23 "member(z,ggg,'zPlace'
):"}}{INP_R 2829 0 "> "{TEXT 0 0 ""}}{INP_R 2832 0 "> "{TEXT 0 68
 "if yPlace = 1 and evalf(a1-a0)=evalf(2*Pi) then NASpacing :=tru
e fi:"}}{INP_R 2835 0 "> "{TEXT 0 0 ""}}{INP_R 2838 0 "> "{TEXT 0
 68 "if yPlace = 2 and evalf(b1-b0)=evalf(2*Pi) then NBSpacing :=
true fi:"}}{INP_R 2841 0 "> "{TEXT 0 0 ""}}{INP_R 2844 0 "> "
{TEXT 0 68 "if yPlace = 3 and evalf(c1-c0)=evalf(2*Pi) then NCSpa
cing :=true fi:"}}{INP_R 2847 0 "> "{TEXT 0 0 ""}}{INP_R 2850 0 "
> "{TEXT 0 54 "elif member(rho,ggg)=true and member(phi,ggg)=true
 and"}}{INP_R 2853 0 "> "{TEXT 0 0 ""}}{INP_R 2856 0 "> "{TEXT 0 
27 "member(theta,ggg)=true then"}}{INP_R 2859 0 "> "{TEXT 0 0 ""}
}{INP_R 2862 0 "> "{TEXT 0 18 "Coords:=spherical:"}}{INP_R 2865 0
 "> "{TEXT 0 0 ""}}{INP_R 2868 0 "> "{TEXT 0 50 "member(rho,ggg,'
xPlace'):member(phi,ggg,'yPlace'):"}}{INP_R 2871 0 "> "{TEXT 0 0 
""}}{INP_R 2874 0 "> "{TEXT 0 27 "member(theta,ggg,'zPlace'):"}}
{INP_R 2877 0 "> "{TEXT 0 0 ""}}{INP_R 2880 0 "> "{TEXT 0 35 "if \+
theta <> 'theta' or rho <>'rho' "}}{INP_R 2883 0 "> "{TEXT 0 0 ""
}}{INP_R 2886 0 "> "{TEXT 0 20 "or phi <> 'phi' then"}}{INP_R 
2889 0 "> "{TEXT 0 0 ""}}{INP_R 2892 0 "> "{TEXT 0 58 "ERROR(`the
ta, rho, and phi are key variables and must be`,"}}{INP_R 2895 0 
"> "{TEXT 0 0 ""}}{INP_R 2898 0 "> "{TEXT 0 54 "`cleared before r
unning program, (ex rho:='rho')`) fi:"}}{INP_R 2901 0 "> "{TEXT 0
 0 ""}}{INP_R 2904 0 "> "{TEXT 0 60 "if (yPlace = 1 or zPlace = 1
) and evalf(a1-a0) = evalf(2*Pi)"}}{INP_R 2907 0 "> "{TEXT 0 0 ""
}}{INP_R 2910 0 "> "{TEXT 0 25 "then NASpacing :=true fi:"}}
{INP_R 2913 0 "> "{TEXT 0 0 ""}}{INP_R 2916 0 "> "{TEXT 0 59 "if \+
(yPlace = 2 or zPlace = 2) and evalf(b1-b0) =evalf(2*Pi)"}}{INP_R
 2919 0 "> "{TEXT 0 0 ""}}{INP_R 2922 0 "> "{TEXT 0 25 "then NBSp
acing :=true fi:"}}{INP_R 2925 0 "> "{TEXT 0 0 ""}}{INP_R 2928 0 
"> "{TEXT 0 60 "if (yPlace = 3 or zPlace = 3) and evalf(c1-c0) = \+
evalf(2*Pi)"}}{INP_R 2931 0 "> "{TEXT 0 0 ""}}{INP_R 2934 0 "> "
{TEXT 0 25 "then NCSpacing :=true fi:"}}{INP_R 2937 0 "> "{TEXT 0
 0 ""}}{INP_R 2940 0 "> "{TEXT 0 65 "else ERROR(`Cartesian coords
 accepts only x, y, and z variables`,"}}{INP_R 2943 0 "> "{TEXT 0
 0 ""}}{INP_R 2946 0 "> "{TEXT 0 61 " `cylindrical coords accepts
 only r, theta, and z variables`,"}}{INP_R 2949 0 "> "{TEXT 0 0 "
"}}{INP_R 2952 0 "> "{TEXT 0 62 "`spherical coords accepts only r
ho, theta, and phi variables`)"}}{INP_R 2955 0 "> "{TEXT 0 0 ""}}
{INP_R 2958 0 "> "{TEXT 0 3 "fi:"}}{INP_R 2961 0 "> "{TEXT 0 0 ""
}}{INP_R 2964 0 "> "{TEXT 0 58 "TempTable:=MakeGrid(a,a0,a1,b,b0,
b1,c,c0,c1,CountA,CountB,"}}{INP_R 2967 0 "> "{TEXT 0 0 ""}}
{INP_R 2970 0 "> "{TEXT 0 49 "CountC,SpaceA,SpaceB,SpaceC,Coords,
ggg,NASpacing,"}}{INP_R 2973 0 "> "{TEXT 0 0 ""}}{INP_R 2976 0 ">
 "{TEXT 0 30 " NBSpacing, NCSpacing, CSArg):"}}{INP_R 2979 0 "> "
{TEXT 0 0 ""}}{INP_R 2982 0 "> "{TEXT 0 48 "CentersTable:=TempTab
le[1]:DeltaA:=TempTable[2]:"}}{INP_R 2985 0 "> "{TEXT 0 0 ""}}
{INP_R 2988 0 "> "{TEXT 0 42 "DeltaB:=TempTable[3]:DeltaC:=TempTa
ble[4]:"}}{INP_R 2991 0 "> "{TEXT 0 0 ""}}{INP_R 2994 0 "> "{TEXT
 0 58 "CornersTable:=MakeCorners(CentersTable,a,b,c,c0,c1,SpaceA,
"}}{INP_R 2997 0 "> "{TEXT 0 0 ""}}{INP_R 3000 0 "> "{TEXT 0 60 "
SpaceB,SpaceC,DeltaA,DeltaB,DeltaC,xPlace,yPlace,zPlace,ggg,"}}
{INP_R 3003 0 "> "{TEXT 0 0 ""}}{INP_R 3006 0 "> "{TEXT 0 7 "CSAr
g):"}}{INP_R 3009 0 "> "{TEXT 0 0 ""}}{INP_R 3012 0 "> "{TEXT 0 
48 "CornersTable:=ChangeCoords(CornersTable,Coords):"}}{INP_R 
3015 0 "> "{TEXT 0 0 ""}}{INP_R 3018 0 "> "{TEXT 0 51 "PolygonsTa
ble:=MakePoly(CornersTable,CentersTable):"}}{INP_R 3021 0 "> "
{TEXT 0 0 ""}}{INP_R 3024 0 "> "{TEXT 0 63 "with(plots):polygonpl
ot3d(\{(seq(seq(PolygonsTable[i,j],j=1..6),"}}{INP_R 3027 0 "> "
{TEXT 0 0 ""}}{INP_R 3030 0 "> "{TEXT 0 74 "i=1 .. nops([entries(
CentersTable)])))\},title=PlotTitle,scaling = Scaling,"}}{INP_R 
3033 0 "> "{TEXT 0 0 ""}}{INP_R 3036 0 "> "{TEXT 0 42 "axes = Axe
s, labels = Labels, op(Options))"}}{INP_R 3039 0 "> "{TEXT 0 0 ""
}}{INP_R 3042 0 "> "{TEXT 0 4 "end:"}}{INP_R 3045 0 "> "{TEXT 0 0
 ""}}{INP_R 3048 0 "> "{TEXT 0 28 "`help/text/intdraw3d`:=TEXT("}
}{INP_R 3051 0 "> "{TEXT 0 0 ""}}{INP_R 3054 0 "> "{TEXT 0 68 "`F
UNCTION: asu[intdraw3d]   -creates a picture of a parameterized `
,"}}{INP_R 3057 0 "> "{TEXT 0 0 ""}}{INP_R 3060 0 "> "{TEXT 0 82 
"`                           three-dimensional region that is sli
ced according to`,"}}{INP_R 3063 0 "> "{TEXT 0 0 ""}}{INP_R 3066 
0 "> "{TEXT 0 59 "`                           the selected parame
terization`,"}}{INP_R 3069 0 "> "{TEXT 0 0 ""}}{INP_R 3072 0 "> "
{TEXT 0 4 "` `,"}}{INP_R 3075 0 "> "{TEXT 0 0 ""}}{INP_R 3078 0 "
> "{TEXT 0 20 "`CALLING SEQUENCE:`,"}}{INP_R 3081 0 "> "{TEXT 0 0
 ""}}{INP_R 3084 0 "> "{TEXT 0 29 "`    intdraw3d(boundaries);`,"
}}{INP_R 3087 0 "> "{TEXT 0 0 ""}}{INP_R 3090 0 "> "{TEXT 0 64 "`
    intdraw3d(boundaries, intdraw3d options, plot3d options);`,"}
}{INP_R 3093 0 "> "{TEXT 0 0 ""}}{INP_R 3096 0 "> "{TEXT 0 4 "` `
,"}}{INP_R 3099 0 "> "{TEXT 0 0 ""}}{INP_R 3102 0 "> "{TEXT 0 14 
"`PARAMETERS:`,"}}{INP_R 3105 0 "> "{TEXT 0 0 ""}}{INP_R 3108 0 "
> "{TEXT 0 72 "`boundaries     -  three ranges in the form u=u0..
u1,v=v0..v1,w=w0..w1`,"}}{INP_R 3111 0 "> "{TEXT 0 0 ""}}{INP_R 
3114 0 "> "{TEXT 0 79 "`                u0 and u1 must be constan
ts, v0 and v1 must be  expressions `,"}}{INP_R 3117 0 "> "{TEXT 0
 0 ""}}{INP_R 3120 0 "> "{TEXT 0 78 "`                depending o
n the variable u only, w0 and w1 are expressions`,"}}{INP_R 3123 
0 "> "{TEXT 0 0 ""}}{INP_R 3126 0 "> "{TEXT 0 61 "`              \+
  that may depend on the variables u and v. `,"}}{INP_R 3129 0 ">
 "{TEXT 0 0 ""}}{INP_R 3132 0 "> "{TEXT 0 84 "`                Th
e variables u,v,w may represent either rectangular, cylindrical`,
"}}{INP_R 3135 0 "> "{TEXT 0 0 ""}}{INP_R 3138 0 "> "{TEXT 0 56 "
`                or spherical coordinates, see below. `,"}}{INP_R
 3141 0 "> "{TEXT 0 0 ""}}{INP_R 3144 0 "> "{TEXT 0 5 "`  `,"}}
{INP_R 3147 0 "> "{TEXT 0 0 ""}}{INP_R 3150 0 "> "{TEXT 0 21 "`IN
TDRAW3D OPTIONS:`,"}}{INP_R 3153 0 "> "{TEXT 0 0 ""}}{INP_R 3156 
0 "> "{TEXT 0 77 "`grid   -  determines the numbers of boxes to b
e drawn. The call grid=[m,n]`,"}}{INP_R 3159 0 "> "{TEXT 0 0 ""}}
{INP_R 3162 0 "> "{TEXT 0 81 "`             is interpreted as gri
d=[m,n,1], i.e. drawing columns, unless the `,"}}{INP_R 3165 0 ">
 "{TEXT 0 0 ""}}{INP_R 3168 0 "> "{TEXT 0 86 "`             varia
ble w is either theta or phi, in which case it is interpreted as \+
`,"}}{INP_R 3171 0 "> "{TEXT 0 0 ""}}{INP_R 3174 0 "> "{TEXT 0 59
 "`             grid=[m,n,5]. The default is grid=[5,5,5]. `,"}}
{INP_R 3177 0 "> "{TEXT 0 0 ""}}{INP_R 3180 0 "> "{TEXT 0 4 "` `,
"}}{INP_R 3183 0 "> "{TEXT 0 0 ""}}{INP_R 3186 0 "> "{TEXT 0 64 "
`spaces - determines the spacing between the boxes (columns). `,"
}}{INP_R 3189 0 "> "{TEXT 0 0 ""}}{INP_R 3192 0 "> "{TEXT 0 77 "`
               Its argument is a list of three constants between \+
0 and 1. `,"}}{INP_R 3195 0 "> "{TEXT 0 0 ""}}{INP_R 3198 0 "> "
{TEXT 0 78 "`              Default is spaces=[.3,.3,0]. The optio
n  spaces = slices  is `,"}}{INP_R 3201 0 "> "{TEXT 0 0 ""}}
{INP_R 3204 0 "> "{TEXT 0 50 "`              equivalent to spaces
= [.8,.1,0]. `,"}}{INP_R 3207 0 "> "{TEXT 0 0 ""}}{INP_R 3210 0 "
> "{TEXT 0 4 "` `,"}}{INP_R 3213 0 "> "{TEXT 0 0 ""}}{INP_R 3216 
0 "> "{TEXT 0 12 "`SYNOPSIS:`,"}}{INP_R 3219 0 "> "{TEXT 0 0 ""}}
{INP_R 3222 0 "> "{TEXT 0 69 "`-these defaults were choosen becau
se they produced the nicest and `,"}}{INP_R 3225 0 "> "{TEXT 0 0 
""}}{INP_R 3228 0 "> "{TEXT 0 72 "` most informative pictures, th
ey may be changed easily in the plot3d `,"}}{INP_R 3231 0 "> "
{TEXT 0 0 ""}}{INP_R 3234 0 "> "{TEXT 0 70 "` window or in the in
tdraw3d calling statement (see examples bellow)`,"}}{INP_R 3237 0
 "> "{TEXT 0 0 ""}}{INP_R 3240 0 "> "{TEXT 0 66 "`-for Cartesian \+
coordinates, variables used must be x, y, and z.`,"}}{INP_R 3243 
0 "> "{TEXT 0 0 ""}}{INP_R 3246 0 "> "{TEXT 0 71 "`-for cylindric
al coordinates, variables used must be r, theta and z.`,"}}{INP_R
 3249 0 "> "{TEXT 0 0 ""}}{INP_R 3252 0 "> "{TEXT 0 74 "`-for sph
erical coordinates, variables used must be rho, phi, and theta.`,
"}}{INP_R 3255 0 "> "{TEXT 0 0 ""}}{INP_R 3258 0 "> "{TEXT 0 63 "
`-scaling (plot3d option) default in intdraw3d is CONSTRAINED`,"}
}{INP_R 3261 0 "> "{TEXT 0 0 ""}}{INP_R 3264 0 "> "{TEXT 0 58 "`-
labels (plot3d option) default in intdraw3d is [x,y,z]`,"}}{INP_R
 3267 0 "> "{TEXT 0 0 ""}}{INP_R 3270 0 "> "{TEXT 0 54 "`-axes (p
lot3d option) default in intdraw3d is FRAME`,"}}{INP_R 3273 0 "> \+
"{TEXT 0 0 ""}}{INP_R 3276 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3279 0 
"> "{TEXT 0 0 ""}}{INP_R 3282 0 "> "{TEXT 0 77 "`#if you run all \+
examples at once your computer will be working for a while`,"}}
{INP_R 3285 0 "> "{TEXT 0 0 ""}}{INP_R 3288 0 "> "{TEXT 0 43 "`#C
artesian coordinates examples (wedges)`,"}}{INP_R 3291 0 "> "
{TEXT 0 0 ""}}{INP_R 3294 0 "> "{TEXT 0 67 "`intdraw3d(x= -1..0 ,
 y= -sqrt(1-x^2) ..sqrt(1-x^2) , z= -x..0 );`,"}}{INP_R 3297 0 ">
 "{TEXT 0 0 ""}}{INP_R 3300 0 "> "{TEXT 0 81 "`intdraw3d(z= -1..0
 , y= -sqrt(1-z^2) ..sqrt(1-z^2) , x= -z..0 , spaces=[.5,0],`,"}}
{INP_R 3303 0 "> "{TEXT 0 0 ""}}{INP_R 3306 0 "> "{TEXT 0 13 "`ax
es=BOX);`,"}}{INP_R 3309 0 "> "{TEXT 0 0 ""}}{INP_R 3312 0 "> "
{TEXT 0 72 "`intdraw3d(z= -1..1,x= -sqrt(1-z^2)..sqrt(1-z^2),y= -
sqrt(1-x^2-z^2)..`,"}}{INP_R 3315 0 "> "{TEXT 0 0 ""}}{INP_R 3318
 0 "> "{TEXT 0 54 "`sqrt(1-z^2-x^2),spaces=[0,0], style = PATCHNO
GRID);`,"}}{INP_R 3321 0 "> "{TEXT 0 0 ""}}{INP_R 3324 0 "> "
{TEXT 0 4 "` `,"}}{INP_R 3327 0 "> "{TEXT 0 0 ""}}{INP_R 3330 0 "
> "{TEXT 0 36 "`#cylindrical coordinates examples`,"}}{INP_R 3333
 0 "> "{TEXT 0 0 ""}}{INP_R 3336 0 "> "{TEXT 0 78 "`intdraw3d(the
ta = 0..2*Pi, r=0..1/sqrt(2), z=r..sqrt(1-r^2), spaces=[0,0]);`,"
}}{INP_R 3339 0 "> "{TEXT 0 0 ""}}{INP_R 3342 0 "> "{TEXT 0 81 "`
intdraw3d(z= 0..Pi, r=0..Pi, theta=0..Pi, grid=[3,2], orientation
 = [-70,60], `,"}}{INP_R 3345 0 "> "{TEXT 0 0 ""}}{INP_R 3348 0 "
> "{TEXT 0 19 "`spaces=[.4,.4]);`,"}}{INP_R 3351 0 "> "{TEXT 0 0 
""}}{INP_R 3354 0 "> "{TEXT 0 76 "`intdraw3d(r=3..5, theta = 0..2
*Pi, z=-sqrt(1-(4-r)^2).. sqrt(1-(4-r)^2), `,"}}{INP_R 3357 0 "> \+
"{TEXT 0 0 ""}}{INP_R 3360 0 "> "{TEXT 0 32 "`grid = [5,10 ], axe
s = BOX );`,"}}{INP_R 3363 0 "> "{TEXT 0 0 ""}}{INP_R 3366 0 "> "
{TEXT 0 4 "` `,"}}{INP_R 3369 0 "> "{TEXT 0 0 ""}}{INP_R 3372 0 "
> "{TEXT 0 78 "`I1:= intdraw3d(r=0..3, theta = 0..3*Pi/4, z=-1..1
, spaces=[.4,.4],grid = 4,`,"}}{INP_R 3375 0 "> "{TEXT 0 0 ""}}
{INP_R 3378 0 "> "{TEXT 0 66 "`color = green, style = patchnogrid
, light = [0,50 , .9,.9,.9], `,"}}{INP_R 3381 0 "> "{TEXT 0 0 ""}
}{INP_R 3384 0 "> "{TEXT 0 54 "`light = [50,0,.6,.6,.6], ambientl
ight= [.4,.4,.4]):`,"}}{INP_R 3387 0 "> "{TEXT 0 0 ""}}{INP_R 
3390 0 "> "{TEXT 0 76 "`I2:= intdraw3d(r=3..3*sqrt(2), z=-1..1, t
heta = arccos(3/r)..arcsin(3/r),`,"}}{INP_R 3393 0 "> "{TEXT 0 0 
""}}{INP_R 3396 0 "> "{TEXT 0 66 "`grid=[5,3,8],spaces=[.4,.4],co
lor = blue, style = patchnogrid):`,"}}{INP_R 3399 0 "> "{TEXT 0 0
 ""}}{INP_R 3402 0 "> "{TEXT 0 71 "`I3:= intdraw3d(r=3..3*sqrt(2)
,z=-1..1, theta=Pi-arcsin(3/r)..3/4*Pi,`,"}}{INP_R 3405 0 "> "
{TEXT 0 0 ""}}{INP_R 3408 0 "> "{TEXT 0 68 "`spaces=[.4,.4],grid \+
= [5,3,6], color = red, style = patchnogrid):`,"}}{INP_R 3411 0 "
> "{TEXT 0 0 ""}}{INP_R 3414 0 "> "{TEXT 0 49 "`display3d(\{I1,I2
,I3\}, orientation = [-70,50]);`,"}}{INP_R 3417 0 "> "{TEXT 0 0 "
"}}{INP_R 3420 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3423 0 "> "{TEXT 0 
0 ""}}{INP_R 3426 0 "> "{TEXT 0 34 "`#spherical coordinates examp
les`,"}}{INP_R 3429 0 "> "{TEXT 0 0 ""}}{INP_R 3432 0 "> "{TEXT 0
 75 "`intdraw3d(rho=0..1, phi = 0..Pi, theta=0..2*Pi,grid=[1],spa
ces=[.5,.5]);`,"}}{INP_R 3435 0 "> "{TEXT 0 0 ""}}{INP_R 3438 0 "
> "{TEXT 0 72 "`intdraw3d(rho=0..1,theta= -Pi/2..Pi/2,phi=arctan(
1/cos(theta))..Pi/2,`,"}}{INP_R 3441 0 "> "{TEXT 0 0 ""}}{INP_R 
3444 0 "> "{TEXT 0 18 "`grid=[4,6,12]);`,"}}{INP_R 3447 0 "> "
{TEXT 0 0 ""}}{INP_R 3450 0 "> "{TEXT 0 25 "`# changing the spaci
ng`,"}}{INP_R 3453 0 "> "{TEXT 0 0 ""}}{INP_R 3456 0 "> "{TEXT 0 
72 "`intdraw3d(rho=0..1,theta= -Pi/2..Pi/2,phi=arctan(1/cos(theta
))..Pi/2,`,"}}{INP_R 3459 0 "> "{TEXT 0 0 ""}}{INP_R 3462 0 "> "
{TEXT 0 32 "`grid=[4,6,12],spaces=[.9,0]);`,"}}{INP_R 3465 0 "> "
{TEXT 0 0 ""}}{INP_R 3468 0 "> "{TEXT 0 78 "`intdraw3d(rho=0..1, \+
theta = 0..2*Pi, phi=0..Pi,grid=[1,8,8], spaces=[0,0]);`,"}}
{INP_R 3471 0 "> "{TEXT 0 0 ""}}{INP_R 3474 0 "> "{TEXT 0 4 "` `,
"}}{INP_R 3477 0 "> "{TEXT 0 0 ""}}{INP_R 3480 0 "> "{TEXT 0 41 "
`#movie examples     (may take a while)`,"}}{INP_R 3483 0 "> "
{TEXT 0 0 ""}}{INP_R 3486 0 "> "{TEXT 0 75 "`with(plots):display(
[seq(intdraw3d(x=-1..1,y=-sqrt(1-x^2)..sqrt(1-x^2), `,"}}{INP_R 
3489 0 "> "{TEXT 0 0 ""}}{INP_R 3492 0 "> "{TEXT 0 76 "`z=-sqrt(1
-x^2-y^2)..sqrt(1-x^2-y^2),grid=[k,k],spaces =[0,0] ),k=1..10)],`
,"}}{INP_R 3495 0 "> "{TEXT 0 0 ""}}{INP_R 3498 0 "> "{TEXT 0 22 
"`insequence = true);`,"}}{INP_R 3501 0 "> "{TEXT 0 0 ""}}{INP_R 
3504 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3507 0 "> "{TEXT 0 0 ""}}
{INP_R 3510 0 "> "{TEXT 0 44 "`#this one takes 45 seconds on a Pe
ntium60`,"}}{INP_R 3513 0 "> "{TEXT 0 0 ""}}{INP_R 3516 0 "> "
{TEXT 0 74 "`int1:=display3d([seq(intdraw3d(x=0..1 , y=-sqrt(1-x^
2) ..sqrt(1-x^2) , `,"}}{INP_R 3519 0 "> "{TEXT 0 0 ""}}{INP_R 
3522 0 "> "{TEXT 0 73 "`z=0..x , grid = [5,5], spaces=[k/10,0]), \+
k=0..9)], insequence = true):`,"}}{INP_R 3525 0 "> "{TEXT 0 0 ""}
}{INP_R 3528 0 "> "{TEXT 0 73 "`int2:=display3d([seq(intdraw3d(x=
0..1 , y=-sqrt(1-x^2) ..sqrt(1-x^2) ,`,"}}{INP_R 3531 0 "> "{TEXT
 0 0 ""}}{INP_R 3534 0 "> "{TEXT 0 74 "` z=0..x , grid = [5,5], s
paces=[1,k/10]), k=0..9)], insequence = true):`,"}}{INP_R 3537 0 
"> "{TEXT 0 0 ""}}{INP_R 3540 0 "> "{TEXT 0 73 "`int3:=display3d(
[seq(intdraw3d(x=0..1 , y=-sqrt(1-x^2) ..sqrt(1-x^2) ,`,"}}{INP_R
 3543 0 "> "{TEXT 0 0 ""}}{INP_R 3546 0 "> "{TEXT 0 76 "` z=0..x \+
, grid = [5,5], spaces=[1-k/10,1]), k=0..9)], insequence = true):
`,"}}{INP_R 3549 0 "> "{TEXT 0 0 ""}}{INP_R 3552 0 "> "{TEXT 0 74
 "`int4:=display3d([seq(intdraw3d(x=0..1 , y=-sqrt(1-x^2) ..sqrt(
1-x^2) , `,"}}{INP_R 3555 0 "> "{TEXT 0 0 ""}}{INP_R 3558 0 "> "
{TEXT 0 75 "`z=0..x , grid = [5,5], spaces=[0,1-k/10]), k=0.10)],
 insequence = true):`,"}}{INP_R 3561 0 "> "{TEXT 0 0 ""}}{INP_R 
3564 0 "> "{TEXT 0 84 "`display3d([int1, int2, int3, int4],insequ
ence = true, orientation = [-134,62]);` ):"}}{INP_R 3567 0 "> "
{TEXT 0 0 ""}}{INP_R 3570 0 "> "{TEXT 0 26 "`help/text/intdraw`:=
TEXT("}}{INP_R 3573 0 "> "{TEXT 0 0 ""}}{INP_R 3576 0 "> "{TEXT 0
 65 "`FUNCTION: asu[intdraw]   -creates a picture of the region o
f a`,"}}{INP_R 3579 0 "> "{TEXT 0 0 ""}}{INP_R 3582 0 "> "{TEXT 0
 53 "`                          two-dimentional integral`,"}}
{INP_R 3585 0 "> "{TEXT 0 0 ""}}{INP_R 3588 0 "> "{TEXT 0 4 "` `,
"}}{INP_R 3591 0 "> "{TEXT 0 0 ""}}{INP_R 3594 0 "> "{TEXT 0 20 "
`CALLING SEQUENCE:`,"}}{INP_R 3597 0 "> "{TEXT 0 0 ""}}{INP_R 
3600 0 "> "{TEXT 0 28 "`     intdraw(boundaries);`,"}}{INP_R 3603
 0 "> "{TEXT 0 0 ""}}{INP_R 3606 0 "> "{TEXT 0 59 "`     intdraw(
boundaries, intdraw options, plot options);`,"}}{INP_R 3609 0 "> \+
"{TEXT 0 0 ""}}{INP_R 3612 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3615 0 
"> "{TEXT 0 0 ""}}{INP_R 3618 0 "> "{TEXT 0 14 "`PARAMETERS:`,"}}
{INP_R 3621 0 "> "{TEXT 0 0 ""}}{INP_R 3624 0 "> "{TEXT 0 57 "`bo
undaries     -two 2D integral boundaries written as `,"}}{INP_R 
3627 0 "> "{TEXT 0 0 ""}}{INP_R 3630 0 "> "{TEXT 0 50 "`         \+
       var = Lower Limit..Upper Limit.`,"}}{INP_R 3633 0 "> "
{TEXT 0 0 ""}}{INP_R 3636 0 "> "{TEXT 0 52 "`                Oute
r integral must be the first `,"}}{INP_R 3639 0 "> "{TEXT 0 0 ""}
}{INP_R 3642 0 "> "{TEXT 0 49 "`                argument, then in
ner integral.`,"}}{INP_R 3645 0 "> "{TEXT 0 0 ""}}{INP_R 3648 0 "
> "{TEXT 0 5 "`  `,"}}{INP_R 3651 0 "> "{TEXT 0 0 ""}}{INP_R 3654
 0 "> "{TEXT 0 19 "`INTDRAW OPTIONS:`,"}}{INP_R 3657 0 "> "{TEXT 
0 0 ""}}{INP_R 3660 0 "> "{TEXT 0 53 "`grid   -used to vary numbe
r of columns; for polar `,"}}{INP_R 3663 0 "> "{TEXT 0 0 ""}}
{INP_R 3666 0 "> "{TEXT 0 55 "`        coordinates, grid's second
 argument is used `,"}}{INP_R 3669 0 "> "{TEXT 0 0 ""}}{INP_R 
3672 0 "> "{TEXT 0 57 "`        to vary curvature of columns as w
ell. Numbers `,"}}{INP_R 3675 0 "> "{TEXT 0 0 ""}}{INP_R 3678 0 "
> "{TEXT 0 65 "`        entered into grid may not always correlat
ed to number `,"}}{INP_R 3681 0 "> "{TEXT 0 0 ""}}{INP_R 3684 0 "
> "{TEXT 0 62 "`        of columns shown on graph. Default is gri
d=[15,15].`,"}}{INP_R 3687 0 "> "{TEXT 0 0 ""}}{INP_R 3690 0 "> "
{TEXT 0 4 "` `,"}}{INP_R 3693 0 "> "{TEXT 0 0 ""}}{INP_R 3696 0 "
> "{TEXT 0 58 "`spaces -used to vary spacing between columns or b
oxes. `,"}}{INP_R 3699 0 "> "{TEXT 0 0 ""}}{INP_R 3702 0 "> "
{TEXT 0 63 "`        Spaces arguments must range from 0 to 1. Def
ault is `,"}}{INP_R 3705 0 "> "{TEXT 0 0 ""}}{INP_R 3708 0 "> "
{TEXT 0 26 "`        spaces=[.3,0]. `,"}}{INP_R 3711 0 "> "{TEXT 
0 0 ""}}{INP_R 3714 0 "> "{TEXT 0 12 "`SYNOPSIS:`,"}}{INP_R 3717 
0 "> "{TEXT 0 0 ""}}{INP_R 3720 0 "> "{TEXT 0 63 "`-for Cartesian
 coordinates, variables used must be x, and y.`,"}}{INP_R 3723 0 
"> "{TEXT 0 0 ""}}{INP_R 3726 0 "> "{TEXT 0 63 "`-for polar coord
inates, variables used must be r, and theta.`,"}}{INP_R 3729 0 ">
 "{TEXT 0 0 ""}}{INP_R 3732 0 "> "{TEXT 0 59 "`-scaling (plot opt
ion) default in intdraw is CONSTRAINED`,"}}{INP_R 3735 0 "> "
{TEXT 0 0 ""}}{INP_R 3738 0 "> "{TEXT 0 52 "`-labels (plot option
) default in intdraw is [x,y]`,"}}{INP_R 3741 0 "> "{TEXT 0 0 ""}
}{INP_R 3744 0 "> "{TEXT 0 69 "`-these defaults were choosen beca
use they produced the nicest and `,"}}{INP_R 3747 0 "> "{TEXT 0 0
 ""}}{INP_R 3750 0 "> "{TEXT 0 70 "` most informative pictures, t
hey may be changed easily in the plot `,"}}{INP_R 3753 0 "> "
{TEXT 0 0 ""}}{INP_R 3756 0 "> "{TEXT 0 68 "` window or in the in
tdraw calling statement (see examples bellow)`,"}}{INP_R 3759 0 "
> "{TEXT 0 0 ""}}{INP_R 3762 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3765 
0 "> "{TEXT 0 0 ""}}{INP_R 3768 0 "> "{TEXT 0 12 "`#examples`,"}}
{INP_R 3771 0 "> "{TEXT 0 0 ""}}{INP_R 3774 0 "> "{TEXT 0 76 "`in
tdraw(x=-1..1, y=-sqrt(1-x^2)..sqrt(1-x^2),spaces =[.5], color = \+
blue, `,"}}{INP_R 3777 0 "> "{TEXT 0 0 ""}}{INP_R 3780 0 "> "
{TEXT 0 15 "`axes = BOX);`,"}}{INP_R 3783 0 "> "{TEXT 0 0 ""}}
{INP_R 3786 0 "> "{TEXT 0 80 "`intdraw(x=-1..1, y=-sqrt(1-x^2)..s
qrt(1-x^2),spaces =[.3,.3],color = yellow);`,"}}{INP_R 3789 0 "> \+
"{TEXT 0 0 ""}}{INP_R 3792 0 "> "{TEXT 0 50 "`intdraw(r= 0..1, th
eta=0..2*Pi,grid = [3,25]); `,"}}{INP_R 3795 0 "> "{TEXT 0 0 ""}}
{INP_R 3798 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3801 0 "> "{TEXT 0 0 "
"}}{INP_R 3804 0 "> "{TEXT 0 78 "`region:=plot([3,t,t=0..3]),plot
([t,3,t=-3..3]),plot([t,-t,t=-3..-sqrt(2)]),`,"}}{INP_R 3807 0 ">
 "{TEXT 0 0 ""}}{INP_R 3810 0 "> "{TEXT 0 41 "`plot([2*cos(t),2*s
in(t),t=0..3*Pi/4]):`,"}}{INP_R 3813 0 "> "{TEXT 0 0 ""}}{INP_R 
3816 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3819 0 "> "{TEXT 0 0 ""}}
{INP_R 3822 0 "> "{TEXT 0 78 "`region:=plot([3,t,t=0..3]),plot([t
,3,t=-3..3]),plot([t,-t,t=-3..-sqrt(2)]),`,"}}{INP_R 3825 0 "> "
{TEXT 0 0 ""}}{INP_R 3828 0 "> "{TEXT 0 41 "`plot([2*cos(t),2*sin
(t),t=0..3*Pi/4]):`,"}}{INP_R 3831 0 "> "{TEXT 0 0 ""}}{INP_R 
3834 0 "> "{TEXT 0 4 "` `,"}}{INP_R 3837 0 "> "{TEXT 0 0 ""}}
{INP_R 3840 0 "> "{TEXT 0 65 "`int1:=intdraw(theta= 0..Pi/4,r=2..
3/cos(theta), color = blue):`,"}}{INP_R 3843 0 "> "{TEXT 0 0 ""}}
{INP_R 3846 0 "> "{TEXT 0 71 "`int2:=intdraw(theta= Pi/4..3*Pi/4,
r=2..3/sin(theta), color = green):`,"}}{INP_R 3849 0 "> "{TEXT 0 
0 ""}}{INP_R 3852 0 "> "{TEXT 0 31 "`display([int1,int2,region]);
`,"}}{INP_R 3855 0 "> "{TEXT 0 0 ""}}{INP_R 3858 0 "> "{TEXT 0 4 
"` `,"}}{INP_R 3861 0 "> "{TEXT 0 0 ""}}{INP_R 3864 0 "> "{TEXT 0
 68 "`inta:=intdraw(r=2..3, theta = 0..3/4*Pi, grid = 4,color = g
reen):`,"}}{INP_R 3867 0 "> "{TEXT 0 0 ""}}{INP_R 3870 0 "> "
{TEXT 0 67 "`intb:=intdraw(r=3..3*sqrt(2), theta = arccos(3/r)..a
rcsin(3/r),`, "}}{INP_R 3873 0 "> "{TEXT 0 0 ""}}{INP_R 3876 0 ">
 "{TEXT 0 33 "`grid = [10,25], color = blue):`,"}}{INP_R 3879 0 "
> "{TEXT 0 0 ""}}{INP_R 3882 0 "> "{TEXT 0 74 "`intc:=intdraw(r=3
..3*sqrt(2), theta = Pi-arcsin(3/r)..3/4*Pi, grid = 6,`,"}}{INP_R
 3885 0 "> "{TEXT 0 0 ""}}{INP_R 3888 0 "> "{TEXT 0 17 "`color = \+
red): `,"}}{INP_R 3891 0 "> "{TEXT 0 0 ""}}{INP_R 3894 0 "> "
{TEXT 0 37 "`display([inta,intb,intc,region]);`):"}}{INP_R 3897 0
 "> "{TEXT 0 0 ""}}{INP_R 3900 0 "> "{TEXT 0 13 "save `asu.m`;"}}
{INP_R 3903 0 "> "{TEXT 0 0 ""}}{INP_R 3906 0 "> "{TEXT 0 10 "wit
h(asu);"}}{INP_R 3909 0 "> "{TEXT 0 0 ""}}{OUT_R 3912 8192 3909
{DAG [2,3n4\`intdraw`n5\`intdraw3d`}}}{SCP_R 3914 0 2{INP_R 3916 
0 "> "{TEXT 0 10 "?intdraw3d"}}{OUT_R 3919 0 3916{TEXT 2 1 "\012"
}}}{SCP_R 3921 0 2{INP_R 3923 0 "> "{TEXT 0 8 "?intdraw"}}{OUT_R 
3926 0 3923{TEXT 2 1 "\012"}}}{SCP_R 3928 0 1{INP_R 3930 0 "> "
{TEXT 0 0 ""}}}}{END}
